javax.media.opengl

## Interface GL4

- All Superinterfaces:
    GL, GL2ES2, GL2ES3, GL2GL3, GL3, GL3ES3, GL4ES3, GLBase
  All Known Subinterfaces:
    GL4bc
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc

      public interface GL4
      extends GL4ES3, GL3

  This interface contains all OpenGL [ 4.0 .. 4.3 ] core methods, as well as most of it's extensions defined at the time of this specification.

  Note: OpenGL [ 4.0 .. 4.3 ] core profile does not includes fixed point functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_ACTIVE_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ACTIVE_RESOURCES` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ACTIVE_SUBROUTINE_MAX_LENGTH` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_ACTIVE_SUBROUTINE_UNIFORMS` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_ACTIVE_SUBROUTINES` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_ACTIVE_VARIABLES` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ARRAY_SIZE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ARRAY_STRIDE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ATOMIC_COUNTER_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_BINDING` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_INDEX` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_SIZE` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_ATOMIC_COUNTER_BUFFER_START` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_AUTO_GENERATE_MIPMAP` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_BLOCK_INDEX` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_BUFFER_BINDING` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_BUFFER_DATA_SIZE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_BUFFER_UPDATE_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_BUFFER_VARIABLE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_CAVEAT_SUPPORT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_CLEAR_BUFFER` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_COLOR_COMPONENTS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_COLOR_ENCODING` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_COLOR_RENDERABLE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_COMMAND_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_COMPATIBLE_SUBROUTINES` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_COMPUTE_LOCAL_WORK_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_COMPUTE_SHADER` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_COMPUTE_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_COMPUTE_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_COMPUTE_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_DEPTH_COMPONENTS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_DEPTH_RENDERABLE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_DEPTH_STENCIL_TEXTURE_MODE` Part of `GL_VERSION_4_3`, `GL_ARB_stencil_texturing`
    `static int` | `GL_DISPATCH_INDIRECT_BUFFER` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_DISPATCH_INDIRECT_BUFFER_BINDING` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_DOUBLE_MAT2` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT2x3` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT2x4` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT3` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT3x2` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT3x4` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT4` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT4x2` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_MAT4x3` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_VEC2` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_VEC3` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DOUBLE_VEC4` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `static int` | `GL_DRAW_INDIRECT_BUFFER` Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
    `static int` | `GL_DRAW_INDIRECT_BUFFER_BINDING` Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
    `static int` | `GL_ELEMENT_ARRAY_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_FILTER` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_FRACTIONAL_EVEN` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_FRACTIONAL_ODD` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_FRAGMENT_INTERPOLATION_OFFSET_BITS` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
    `static int` | `GL_FRAGMENT_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_FRAGMENT_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_FRAGMENT_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_FRAMEBUFFER_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_FRAMEBUFFER_BLEND` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_FRAMEBUFFER_DEFAULT_HEIGHT` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_FRAMEBUFFER_DEFAULT_LAYERS` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_FRAMEBUFFER_DEFAULT_SAMPLES` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_FRAMEBUFFER_DEFAULT_WIDTH` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_FRAMEBUFFER_RENDERABLE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_FRAMEBUFFER_RENDERABLE_LAYERED` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_FULL_SUPPORT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_GEOMETRY_SHADER_BIT` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `static int` | `GL_GEOMETRY_SHADER_INVOCATIONS` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
    `static int` | `GL_GEOMETRY_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_GEOMETRY_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_GEOMETRY_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_GET_TEXTURE_IMAGE_FORMAT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_GET_TEXTURE_IMAGE_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_1D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_1D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_2D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_2D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_2D_MULTISAMPLE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_2D_RECT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_3D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_ACCESS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_FORMAT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_LAYER` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_LAYERED` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_LEVEL` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BINDING_NAME` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_BUFFER` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_CLASS_1_X_16` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_1_X_32` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_1_X_8` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_10_10_10_2` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_11_11_10` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_2_X_16` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_2_X_32` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_2_X_8` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_4_X_16` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_4_X_32` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CLASS_4_X_8` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_COMPATIBILITY_CLASS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_CUBE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_CUBE_MAP_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_FORMAT_COMPATIBILITY_TYPE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_IMAGE_PIXEL_FORMAT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_PIXEL_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IMAGE_TEXEL_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INT_IMAGE_1D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_1D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_2D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_2D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_2D_MULTISAMPLE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_2D_RECT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_3D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_BUFFER` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_CUBE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_IMAGE_CUBE_MAP_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_INT_SAMPLER_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_INTERNALFORMAT_ALPHA_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_ALPHA_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_BLUE_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_BLUE_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_DEPTH_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_DEPTH_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_GREEN_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_GREEN_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_PREFERRED` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_RED_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_RED_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_SHARED_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_STENCIL_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_STENCIL_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_INTERNALFORMAT_SUPPORTED` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_IS_PER_PATCH` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_IS_ROW_MAJOR` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_ISOLINES` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_LAYER_PROVOKING_VERTEX` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `static int` | `GL_LOCATION` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_LOCATION_INDEX` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_MANUAL_GENERATE_MIPMAP` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MATRIX_STRIDE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_COMBINED_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMBINED_DIMENSIONS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MAX_COMBINED_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_ATOMIC_COUNTERS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_IMAGE_UNIFORMS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_LOCAL_INVOCATIONS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_COMPUTE_SHARED_MEMORY_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_UNIFORM_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_WORK_GROUP_COUNT` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_COMPUTE_WORK_GROUP_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_MAX_DEPTH` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_FRAGMENT_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_FRAGMENT_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_FRAGMENT_INTERPOLATION_OFFSET` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
    `static int` | `GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_FRAMEBUFFER_HEIGHT` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_FRAMEBUFFER_LAYERS` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_FRAMEBUFFER_SAMPLES` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_FRAMEBUFFER_WIDTH` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_GEOMETRY_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_GEOMETRY_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_GEOMETRY_SHADER_INVOCATIONS` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
    `static int` | `GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_HEIGHT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MAX_IMAGE_SAMPLES` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_IMAGE_UNITS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_LAYERS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MAX_NAME_LENGTH` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_NUM_ACTIVE_VARIABLES` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_NUM_COMPATIBLE_SUBROUTINES` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_MAX_PATCH_VERTICES` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET` Part of `GL_VERSION_4_0`; `GL_ARB_texture_gather`
    `static int` | `GL_MAX_SHADER_STORAGE_BLOCK_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_MAX_SUBROUTINES` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_TESS_CONTROL_INPUT_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_GEN_LEVEL` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TESS_PATCH_COMPONENTS` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_MAX_TRANSFORM_FEEDBACK_BUFFERS` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `static int` | `GL_MAX_UNIFORM_LOCATIONS` Part of `GL_VERSION_4_3`, `GL_ARB_explicit_uniform_location`
    `static int` | `GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_VERTEX_ATOMIC_COUNTERS` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_MAX_VERTEX_ATTRIB_BINDINGS` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_MAX_VERTEX_IMAGE_UNIFORMS` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_MAX_VERTEX_STREAMS` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `static int` | `GL_MAX_VIEWPORTS` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `static int` | `GL_MAX_WIDTH` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_MIN_FRAGMENT_INTERPOLATION_OFFSET` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
    `static int` | `GL_MIN_MAP_BUFFER_ALIGNMENT` Part of `GL_VERSION_4_2`, `GL_ARB_map_buffer_alignment`
    `static int` | `GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET` Part of `GL_VERSION_4_0`; `GL_ARB_texture_gather`
    `static int` | `GL_MIN_SAMPLE_SHADING_VALUE` Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`
    `static int` | `GL_MIPMAP` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_NAME_LENGTH` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_NUM_ACTIVE_VARIABLES` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_NUM_COMPATIBLE_SUBROUTINES` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `static int` | `GL_NUM_SHADING_LANGUAGE_VERSIONS` Part of `GL_VERSION_4_3`
    `static int` | `GL_OFFSET` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_PACK_COMPRESSED_BLOCK_DEPTH` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_PACK_COMPRESSED_BLOCK_HEIGHT` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_PACK_COMPRESSED_BLOCK_SIZE` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_PACK_COMPRESSED_BLOCK_WIDTH` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_PATCH_DEFAULT_INNER_LEVEL` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_PATCH_DEFAULT_OUTER_LEVEL` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_PATCH_VERTICES` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_PATCHES` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_PIXEL_BUFFER_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_PROGRAM_INPUT` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_PROGRAM_OUTPUT` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_PROGRAM_PIPELINE` Part of `GL_VERSION_4_3`, `GL_KHR_debug`
    `static int` | `GL_PROXY_TEXTURE_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_READ_PIXELS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_READ_PIXELS_FORMAT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_READ_PIXELS_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_REFERENCED_BY_COMPUTE_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_REFERENCED_BY_FRAGMENT_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_REFERENCED_BY_GEOMETRY_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_REFERENCED_BY_TESS_CONTROL_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_REFERENCED_BY_TESS_EVALUATION_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_REFERENCED_BY_VERTEX_SHADER` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_SAMPLE_SHADING` Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`
    `static int` | `GL_SAMPLER_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_SHADER_IMAGE_ACCESS_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_SHADER_IMAGE_ATOMIC` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SHADER_IMAGE_LOAD` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SHADER_IMAGE_STORE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SHADER_STORAGE_BARRIER_BIT` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SHADER_STORAGE_BLOCK` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_SHADER_STORAGE_BUFFER` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SHADER_STORAGE_BUFFER_BINDING` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SHADER_STORAGE_BUFFER_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SHADER_STORAGE_BUFFER_START` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `static int` | `GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SRGB_READ` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_SRGB_WRITE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_STENCIL_COMPONENTS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_STENCIL_RENDERABLE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TESS_CONTROL_OUTPUT_VERTICES` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_CONTROL_SHADER` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_CONTROL_SHADER_BIT` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `static int` | `GL_TESS_CONTROL_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TESS_CONTROL_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TESS_CONTROL_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TESS_EVALUATION_SHADER` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_EVALUATION_SHADER_BIT` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `static int` | `GL_TESS_EVALUATION_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TESS_EVALUATION_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TESS_EVALUATION_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TESS_GEN_MODE` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_GEN_POINT_MODE` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_GEN_SPACING` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TESS_GEN_VERTEX_ORDER` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_TEXTURE_BINDING_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_TEXTURE_BUFFER_OFFSET` Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
    `static int` | `GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT` Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
    `static int` | `GL_TEXTURE_BUFFER_SIZE` Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
    `static int` | `GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_COMPRESSED_BLOCK_SIZE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_COMPRESSED_BLOCK_WIDTH` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_TEXTURE_FETCH_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_TEXTURE_GATHER` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_GATHER_SHADOW` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_IMAGE_FORMAT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_IMAGE_TYPE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_SHADOW` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_UPDATE_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_TEXTURE_VIEW` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_TEXTURE_VIEW_MIN_LAYER` Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
    `static int` | `GL_TEXTURE_VIEW_MIN_LEVEL` Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
    `static int` | `GL_TEXTURE_VIEW_NUM_LAYERS` Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
    `static int` | `GL_TEXTURE_VIEW_NUM_LEVELS` Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
    `static int` | `GL_TOP_LEVEL_ARRAY_SIZE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TOP_LEVEL_ARRAY_STRIDE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TRANSFORM_FEEDBACK_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`
    `static int` | `GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`
    `static int` | `GL_TRANSFORM_FEEDBACK_VARYING` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_TYPE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_UNDEFINED_VERTEX` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `static int` | `GL_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_UNIFORM_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNIFORM_BLOCK` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `static int` | `GL_UNPACK_COMPRESSED_BLOCK_DEPTH` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_UNPACK_COMPRESSED_BLOCK_HEIGHT` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_UNPACK_COMPRESSED_BLOCK_SIZE` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_UNPACK_COMPRESSED_BLOCK_WIDTH` Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
    `static int` | `GL_UNSIGNED_INT_ATOMIC_COUNTER` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `static int` | `GL_UNSIGNED_INT_IMAGE_1D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_1D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_2D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_2D_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_2D_RECT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_3D` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_BUFFER` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_CUBE` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY` Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_LONG` Part of `GL_VERSION_4_3`
    `static int` | `GL_VERTEX_ATTRIB_BINDING` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_VERTEX_ATTRIB_RELATIVE_OFFSET` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_VERTEX_BINDING_DIVISOR` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_VERTEX_BINDING_OFFSET` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_VERTEX_BINDING_STRIDE` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `static int` | `GL_VERTEX_SUBROUTINE` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_VERTEX_SUBROUTINE_UNIFORM` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `static int` | `GL_VERTEX_TEXTURE` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_128_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_16_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_24_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_32_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_48_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_64_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_8_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_96_BITS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_BPTC_FLOAT` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_BPTC_UNORM` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_RGTC1_RED` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_RGTC2_RG` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_S3TC_DXT1_RGB` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_S3TC_DXT1_RGBA` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_S3TC_DXT3_RGBA` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_CLASS_S3TC_DXT5_RGBA` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEW_COMPATIBILITY_CLASS` Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
    `static int` | `GL_VIEWPORT_BOUNDS_RANGE` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `static int` | `GL_VIEWPORT_INDEX_PROVOKING_VERTEX` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `static int` | `GL_VIEWPORT_SUBPIXEL_BITS` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - ### Fields inherited from interface javax.media.opengl.GL4ES3

      `GL_COMPRESSED_R11_EAC, GL_COMPRESSED_RG11_EAC, GL_COMPRESSED_RGB8_ETC2, GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2, GL_COMPRESSED_RGBA8_ETC2_EAC, GL_COMPRESSED_SIGNED_R11_EAC, GL_COMPRESSED_SIGNED_RG11_EAC, GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC, GL_COMPRESSED_SRGB8_ETC2, GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2, GL_MAX_ELEMENT_INDEX, GL_NUM_SAMPLE_COUNTS, GL_PRIMITIVE_RESTART_FIXED_INDEX, GL_PROGRAM_BINARY_RETRIEVABLE_HINT, GL_TEXTURE_IMMUTABLE_LEVELS, GL_TRANSFORM_FEEDBACK, GL_TRANSFORM_FEEDBACK_BINDING`

    - ### Fields inherited from interface javax.media.opengl.GL3

      `GL_COMPRESSED_RGB_BPTC_SIGNED_FLOAT_ARB, GL_COMPRESSED_RGB_BPTC_UNSIGNED_FLOAT_ARB, GL_COMPRESSED_RGBA_BPTC_UNORM_ARB, GL_COMPRESSED_SRGB_ALPHA_BPTC_UNORM_ARB, GL_CONTEXT_COMPATIBILITY_PROFILE_BIT, GL_CONTEXT_CORE_PROFILE_BIT, GL_CONTEXT_PROFILE_MASK, GL_DEPTH_CLAMP, GL_FIRST_VERTEX_CONVENTION, GL_FRAMEBUFFER_ATTACHMENT_LAYERED, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS, GL_GEOMETRY_INPUT_TYPE, GL_GEOMETRY_OUTPUT_TYPE, GL_GEOMETRY_SHADER, GL_GEOMETRY_VERTICES_OUT, GL_INT_SAMPLER_2D_MULTISAMPLE, GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_LAST_VERTEX_CONVENTION, GL_LINE_STRIP_ADJACENCY, GL_LINES_ADJACENCY, GL_MAX_COLOR_TEXTURE_SAMPLES, GL_MAX_DEPTH_TEXTURE_SAMPLES, GL_MAX_DUAL_SOURCE_DRAW_BUFFERS, GL_MAX_GEOMETRY_INPUT_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_OUTPUT_VERTICES, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_INTEGER_SAMPLES, GL_MAX_SAMPLE_MASK_WORDS, GL_ONE_MINUS_SRC1_ALPHA, GL_ONE_MINUS_SRC1_COLOR, GL_PROGRAM_POINT_SIZE, GL_PROVOKING_VERTEX, GL_PROXY_TEXTURE_2D_MULTISAMPLE, GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION, GL_SAMPLE_MASK, GL_SAMPLE_MASK_VALUE, GL_SAMPLE_POSITION, GL_SAMPLER_2D_MULTISAMPLE, GL_SAMPLER_2D_MULTISAMPLE_ARRAY, GL_SRC1_COLOR, GL_TEXTURE_2D_MULTISAMPLE, GL_TEXTURE_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_BINDING_2D_MULTISAMPLE, GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY, GL_TEXTURE_CUBE_MAP_SEAMLESS, GL_TEXTURE_FIXED_SAMPLE_LOCATIONS, GL_TEXTURE_SAMPLES, GL_TEXTURE_SWIZZLE_RGBA, GL_TIME_ELAPSED, GL_TIMESTAMP, GL_TRIANGLE_STRIP_ADJACENCY, GL_TRIANGLES_ADJACENCY, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE, GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY`

    - ### Fields inherited from interface javax.media.opengl.GL3ES3

      `GL_ALREADY_SIGNALED, GL_CONDITION_SATISFIED, GL_INT_2_10_10_10_REV, GL_MAX_FRAGMENT_INPUT_COMPONENTS, GL_MAX_SERVER_WAIT_TIMEOUT, GL_MAX_VERTEX_OUTPUT_COMPONENTS, GL_OBJECT_TYPE, GL_RGB10_A2UI, GL_SAMPLER_BINDING, GL_SIGNALED, GL_SYNC_CONDITION, GL_SYNC_FENCE, GL_SYNC_FLAGS, GL_SYNC_FLUSH_COMMANDS_BIT, GL_SYNC_GPU_COMMANDS_COMPLETE, GL_SYNC_STATUS, GL_TEXTURE_SWIZZLE_A, GL_TEXTURE_SWIZZLE_B, GL_TEXTURE_SWIZZLE_G, GL_TEXTURE_SWIZZLE_R, GL_TIMEOUT_EXPIRED, GL_UNSIGNALED, GL_VERTEX_ATTRIB_ARRAY_DIVISOR, GL_WAIT_FAILED`

    - ### Fields inherited from interface javax.media.opengl.GL2GL3

      `GL_BACK_LEFT, GL_BACK_RIGHT, GL_BGR, GL_BGR_INTEGER, GL_BGRA_INTEGER, GL_BLUE_INTEGER, GL_BUFFER_GPU_ADDRESS_NV, GL_CLAMP_READ_COLOR, GL_CLAMP_TO_BORDER, GL_CLIP_DISTANCE0, GL_CLIP_DISTANCE1, GL_CLIP_DISTANCE2, GL_CLIP_DISTANCE3, GL_CLIP_DISTANCE4, GL_CLIP_DISTANCE5, GL_CLIP_DISTANCE6, GL_CLIP_DISTANCE7, GL_COLOR_ARRAY_ADDRESS_NV, GL_COLOR_ARRAY_LENGTH_NV, GL_COMPRESSED_RED, GL_COMPRESSED_RED_RGTC1, GL_COMPRESSED_RG, GL_COMPRESSED_RG_RGTC2, GL_COMPRESSED_RGB, GL_COMPRESSED_RGBA, GL_COMPRESSED_SIGNED_RED_RGTC1, GL_COMPRESSED_SIGNED_RG_RGTC2, GL_COMPRESSED_SRGB, GL_COMPRESSED_SRGB_ALPHA, GL_COMPUTE_SHADER_BIT, GL_CONTEXT_FLAG_FORWARD_COMPATIBLE_BIT, GL_CONTEXT_FLAG_ROBUST_ACCESS_BIT, GL_CONTEXT_FLAGS, GL_CONTINUOUS_AMD, GL_DEBUG_CATEGORY_API_ERROR_AMD, GL_DEBUG_CATEGORY_APPLICATION_AMD, GL_DEBUG_CATEGORY_DEPRECATION_AMD, GL_DEBUG_CATEGORY_OTHER_AMD, GL_DEBUG_CATEGORY_PERFORMANCE_AMD, GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD, GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD, GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD, GL_DEBUG_LOGGED_MESSAGES_AMD, GL_DEBUG_SEVERITY_HIGH_AMD, GL_DEBUG_SEVERITY_LOW_AMD, GL_DEBUG_SEVERITY_MEDIUM_AMD, GL_DECODE_EXT, GL_DEPTH_CLAMP_FAR_AMD, GL_DEPTH_CLAMP_NEAR_AMD, GL_DISCRETE_AMD, GL_DOUBLE, GL_DOUBLEBUFFER, GL_DRAW_BUFFER, GL_DRAW_INDIRECT_ADDRESS_NV, GL_DRAW_INDIRECT_LENGTH_NV, GL_DRAW_INDIRECT_UNIFIED_NV, GL_EDGE_FLAG_ARRAY_ADDRESS_NV, GL_EDGE_FLAG_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_ADDRESS_NV, GL_ELEMENT_ARRAY_LENGTH_NV, GL_ELEMENT_ARRAY_UNIFIED_NV, GL_EXTERNAL_VIRTUAL_MEMORY_BUFFER_AMD, GL_FACTOR_MAX_AMD, GL_FACTOR_MIN_AMD, GL_FILL, GL_FIXED_ONLY, GL_FOG_COORD_ARRAY_ADDRESS_NV, GL_FOG_COORD_ARRAY_LENGTH_NV, GL_FRAMEBUFFER_ATTACHMENT_LAYERED_ARB, GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER, GL_FRAMEBUFFER_INCOMPLETE_LAYER_COUNT_ARB, GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_ARB, GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER, GL_FRAMEBUFFER_SRGB, GL_FRONT_LEFT, GL_FRONT_RIGHT, GL_GEOMETRY_INPUT_TYPE_ARB, GL_GEOMETRY_OUTPUT_TYPE_ARB, GL_GEOMETRY_SHADER_ARB, GL_GEOMETRY_VERTICES_OUT_ARB, GL_GPU_ADDRESS_NV, GL_GREEN_INTEGER, GL_INDEX_ARRAY_ADDRESS_NV, GL_INDEX_ARRAY_LENGTH_NV, GL_INT_SAMPLER_1D, GL_INT_SAMPLER_1D_ARRAY, GL_INT_SAMPLER_2D_RECT, GL_INT_SAMPLER_BUFFER, GL_INT_SAMPLER_BUFFER_AMD, GL_LEFT, GL_LINE, GL_LINE_STRIP_ADJACENCY_ARB, GL_LINE_WIDTH_GRANULARITY, GL_LINE_WIDTH_RANGE, GL_LINES_ADJACENCY_ARB, GL_LOWER_LEFT, GL_MAX_CLIP_DISTANCES, GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS, GL_MAX_DEBUG_LOGGED_MESSAGES_AMD, GL_MAX_GEOMETRY_OUTPUT_VERTICES_ARB, GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_ARB, GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_ARB, GL_MAX_GEOMETRY_UNIFORM_BLOCKS, GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_ARB, GL_MAX_GEOMETRY_VARYING_COMPONENTS_ARB, GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS, GL_MAX_RECTANGLE_TEXTURE_SIZE, GL_MAX_SHADER_BUFFER_ADDRESS_NV, GL_MAX_TEXTURE_BUFFER_SIZE, GL_MAX_VARYING_FLOATS, GL_MAX_VERTEX_VARYING_COMPONENTS_ARB, GL_NAMED_STRING_LENGTH_ARB, GL_NAMED_STRING_TYPE_ARB, GL_NORMAL_ARRAY_ADDRESS_NV, GL_NORMAL_ARRAY_LENGTH_NV, GL_PACK_IMAGE_HEIGHT, GL_PACK_LSB_FIRST, GL_PACK_SKIP_IMAGES, GL_PACK_SWAP_BYTES, GL_POINT, GL_POINT_SIZE_GRANULARITY, GL_POINT_SIZE_RANGE, GL_POINT_SPRITE_COORD_ORIGIN, GL_POLYGON_MODE, GL_POLYGON_OFFSET_LINE, GL_POLYGON_OFFSET_POINT, GL_POLYGON_SMOOTH, GL_POLYGON_SMOOTH_HINT, GL_PRIMITIVE_RESTART, GL_PRIMITIVE_RESTART_INDEX, GL_PRIMITIVES_GENERATED, GL_PROGRAM_POINT_SIZE_ARB, GL_PROXY_TEXTURE_1D, GL_PROXY_TEXTURE_1D_ARRAY, GL_PROXY_TEXTURE_2D, GL_PROXY_TEXTURE_2D_ARRAY, GL_PROXY_TEXTURE_3D, GL_PROXY_TEXTURE_CUBE_MAP, GL_PROXY_TEXTURE_RECTANGLE, GL_QUADS, GL_QUERY_BY_REGION_NO_WAIT, GL_QUERY_BY_REGION_WAIT, GL_QUERY_COUNTER_BITS, GL_QUERY_NO_WAIT, GL_QUERY_WAIT, GL_R16, GL_R16_SNORM, GL_R3_G3_B2, GL_READ_ONLY, GL_READ_WRITE, GL_RED_SNORM, GL_REPLACE_VALUE_AMD, GL_RG_SNORM, GL_RG16, GL_RG16_SNORM, GL_RGB_SNORM, GL_RGB12, GL_RGB16, GL_RGB16_SNORM, GL_RGB4, GL_RGB5, GL_RGBA_SNORM, GL_RGBA12, GL_RGBA16, GL_RGBA16_SNORM, GL_RGBA2, GL_RIGHT, GL_SAMPLER_1D, GL_SAMPLER_1D_ARRAY, GL_SAMPLER_1D_ARRAY_SHADOW, GL_SAMPLER_1D_SHADOW, GL_SAMPLER_2D_RECT, GL_SAMPLER_2D_RECT_SHADOW, GL_SAMPLER_BUFFER, GL_SAMPLER_BUFFER_AMD, GL_SAMPLES_PASSED, GL_SCALED_RESOLVE_FASTEST_EXT, GL_SCALED_RESOLVE_NICEST_EXT, GL_SECONDARY_COLOR_ARRAY_ADDRESS_NV, GL_SECONDARY_COLOR_ARRAY_LENGTH_NV, GL_SET_AMD, GL_SHADER_INCLUDE_ARB, GL_SKIP_DECODE_EXT, GL_SMOOTH_LINE_WIDTH_GRANULARITY, GL_SMOOTH_POINT_SIZE_GRANULARITY, GL_SRC1_ALPHA, GL_SRGB_DECODE_ARB, GL_STENCIL_BACK_OP_VALUE_AMD, GL_STENCIL_INDEX16, GL_STENCIL_OP_VALUE_AMD, GL_STEREO, GL_SUBSAMPLE_DISTANCE_AMD, GL_SYNC_CL_EVENT_ARB, GL_SYNC_CL_EVENT_COMPLETE_ARB, GL_SYNC_X11_FENCE_EXT, GL_TESSELLATION_FACTOR_AMD, GL_TESSELLATION_MODE_AMD, GL_TEXTURE_1D, GL_TEXTURE_1D_ARRAY, GL_TEXTURE_ALPHA_SIZE, GL_TEXTURE_ALPHA_TYPE, GL_TEXTURE_BINDING_1D, GL_TEXTURE_BINDING_1D_ARRAY, GL_TEXTURE_BINDING_BUFFER, GL_TEXTURE_BINDING_RECTANGLE, GL_TEXTURE_BLUE_SIZE, GL_TEXTURE_BLUE_TYPE, GL_TEXTURE_BORDER_COLOR, GL_TEXTURE_BUFFER, GL_TEXTURE_BUFFER_DATA_STORE_BINDING, GL_TEXTURE_COLOR_SAMPLES_NV, GL_TEXTURE_COMPRESSED, GL_TEXTURE_COMPRESSED_IMAGE_SIZE, GL_TEXTURE_COMPRESSION_HINT, GL_TEXTURE_COORD_ARRAY_ADDRESS_NV, GL_TEXTURE_COORD_ARRAY_LENGTH_NV, GL_TEXTURE_COVERAGE_SAMPLES_NV, GL_TEXTURE_DEPTH, GL_TEXTURE_DEPTH_SIZE, GL_TEXTURE_DEPTH_TYPE, GL_TEXTURE_GREEN_SIZE, GL_TEXTURE_GREEN_TYPE, GL_TEXTURE_HEIGHT, GL_TEXTURE_INTERNAL_FORMAT, GL_TEXTURE_LOD_BIAS, GL_TEXTURE_RECTANGLE, GL_TEXTURE_RED_SIZE, GL_TEXTURE_RED_TYPE, GL_TEXTURE_SHARED_SIZE, GL_TEXTURE_SRGB_DECODE_EXT, GL_TEXTURE_STENCIL_SIZE, GL_TEXTURE_WIDTH, GL_TRIANGLE_STRIP_ADJACENCY_ARB, GL_TRIANGLES_ADJACENCY_ARB, GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER, GL_UNPACK_LSB_FIRST, GL_UNPACK_SWAP_BYTES, GL_UNSIGNED_BYTE_2_3_3_REV, GL_UNSIGNED_BYTE_3_3_2, GL_UNSIGNED_INT_8_8_8_8, GL_UNSIGNED_INT_8_8_8_8_REV, GL_UNSIGNED_INT_SAMPLER_1D, GL_UNSIGNED_INT_SAMPLER_1D_ARRAY, GL_UNSIGNED_INT_SAMPLER_2D_RECT, GL_UNSIGNED_INT_SAMPLER_BUFFER, GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD, GL_UNSIGNED_SHORT_1_5_5_5_REV, GL_UNSIGNED_SHORT_4_4_4_4_REV, GL_UNSIGNED_SHORT_5_6_5_REV, GL_UPPER_LEFT, GL_VERTEX_ARRAY_ADDRESS_NV, GL_VERTEX_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_ADDRESS_NV, GL_VERTEX_ATTRIB_ARRAY_LENGTH_NV, GL_VERTEX_ATTRIB_ARRAY_UNIFIED_NV, GL_VERTEX_PROGRAM_POINT_SIZE`

    - ### Fields inherited from interface javax.media.opengl.GL2ES3

      `GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH, GL_ACTIVE_UNIFORM_BLOCKS, GL_ALL_BARRIER_BITS, GL_BLUE, GL_BUFFER_ACCESS_FLAGS, GL_BUFFER_MAP_LENGTH, GL_BUFFER_MAP_OFFSET, GL_COLOR, GL_COMPRESSED_RGBA_ASTC_10x10_KHR, GL_COMPRESSED_RGBA_ASTC_10x5_KHR, GL_COMPRESSED_RGBA_ASTC_10x6_KHR, GL_COMPRESSED_RGBA_ASTC_10x8_KHR, GL_COMPRESSED_RGBA_ASTC_12x10_KHR, GL_COMPRESSED_RGBA_ASTC_12x12_KHR, GL_COMPRESSED_RGBA_ASTC_4x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x4_KHR, GL_COMPRESSED_RGBA_ASTC_5x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x5_KHR, GL_COMPRESSED_RGBA_ASTC_6x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x5_KHR, GL_COMPRESSED_RGBA_ASTC_8x6_KHR, GL_COMPRESSED_RGBA_ASTC_8x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_10x8_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x10_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_12x12_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_4x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x4_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_5x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_6x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x5_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x6_KHR, GL_COMPRESSED_SRGB8_ALPHA8_ASTC_8x8_KHR, GL_COPY_READ_BUFFER, GL_COPY_READ_BUFFER_BINDING, GL_COPY_WRITE_BUFFER, GL_COPY_WRITE_BUFFER_BINDING, GL_DEPTH, GL_DEPTH_COMPONENT32F, GL_DEPTH_STENCIL_ATTACHMENT, GL_DEPTH32F_STENCIL8, GL_DRAW_FRAMEBUFFER, GL_DRAW_FRAMEBUFFER_BINDING, GL_DYNAMIC_COPY, GL_DYNAMIC_READ, GL_FLOAT_32_UNSIGNED_INT_24_8_REV, GL_FLOAT_MAT2x3, GL_FLOAT_MAT2x4, GL_FLOAT_MAT3x2, GL_FLOAT_MAT3x4, GL_FLOAT_MAT4x2, GL_FLOAT_MAT4x3, GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE, GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE, GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE, GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE, GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE, GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE, GL_FRAMEBUFFER_DEFAULT, GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE, GL_FRAMEBUFFER_UNDEFINED, GL_GREEN, GL_INT_SAMPLER_2D, GL_INT_SAMPLER_2D_ARRAY, GL_INT_SAMPLER_3D, GL_INT_SAMPLER_CUBE, GL_INTERLEAVED_ATTRIBS, GL_INVALID_INDEX, GL_MAJOR_VERSION, GL_MAX, GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_COMBINED_UNIFORM_BLOCKS, GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS, GL_MAX_ELEMENTS_INDICES, GL_MAX_ELEMENTS_VERTICES, GL_MAX_FRAGMENT_UNIFORM_BLOCKS, GL_MAX_FRAGMENT_UNIFORM_COMPONENTS, GL_MAX_PROGRAM_TEXEL_OFFSET, GL_MAX_SAMPLES, GL_MAX_TEXTURE_LOD_BIAS, GL_MAX_TRANSFORM_FEEDBACK_INTERLEAVED_COMPONENTS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_ATTRIBS, GL_MAX_TRANSFORM_FEEDBACK_SEPARATE_COMPONENTS, GL_MAX_UNIFORM_BLOCK_SIZE, GL_MAX_UNIFORM_BUFFER_BINDINGS, GL_MAX_VARYING_COMPONENTS, GL_MAX_VERTEX_UNIFORM_BLOCKS, GL_MAX_VERTEX_UNIFORM_COMPONENTS, GL_MIN, GL_MIN_PROGRAM_TEXEL_OFFSET, GL_MINOR_VERSION, GL_NUM_EXTENSIONS, GL_PACK_ROW_LENGTH, GL_PACK_SKIP_PIXELS, GL_PACK_SKIP_ROWS, GL_PIXEL_PACK_BUFFER, GL_PIXEL_PACK_BUFFER_BINDING, GL_PIXEL_UNPACK_BUFFER, GL_PIXEL_UNPACK_BUFFER_BINDING, GL_R16I, GL_R16UI, GL_R32I, GL_R32UI, GL_R8_SNORM, GL_R8I, GL_R8UI, GL_RASTERIZER_DISCARD, GL_READ_BUFFER, GL_READ_FRAMEBUFFER, GL_READ_FRAMEBUFFER_BINDING, GL_RED_INTEGER, GL_RENDERBUFFER_SAMPLES, GL_RG_INTEGER, GL_RG16I, GL_RG16UI, GL_RG32I, GL_RG32UI, GL_RG8_SNORM, GL_RG8I, GL_RG8UI, GL_RGB_INTEGER, GL_RGB16I, GL_RGB16UI, GL_RGB32I, GL_RGB32UI, GL_RGB8_SNORM, GL_RGB8I, GL_RGB8UI, GL_RGB9_E5, GL_RGBA_INTEGER, GL_RGBA16I, GL_RGBA16UI, GL_RGBA32I, GL_RGBA32UI, GL_RGBA8_SNORM, GL_RGBA8I, GL_RGBA8UI, GL_SAMPLER_2D_ARRAY_SHADOW, GL_SAMPLER_CUBE_SHADOW, GL_SEPARATE_ATTRIBS, GL_SIGNED_NORMALIZED, GL_SRGB8, GL_STATIC_COPY, GL_STATIC_READ, GL_STENCIL, GL_STREAM_COPY, GL_STREAM_READ, GL_TEXTURE_BASE_LEVEL, GL_TEXTURE_MAX_LEVEL, GL_TEXTURE_MAX_LOD, GL_TEXTURE_MIN_LOD, GL_TIMEOUT_IGNORED, GL_TRANSFORM_FEEDBACK_ACTIVE, GL_TRANSFORM_FEEDBACK_BUFFER, GL_TRANSFORM_FEEDBACK_BUFFER_BINDING, GL_TRANSFORM_FEEDBACK_BUFFER_MODE, GL_TRANSFORM_FEEDBACK_BUFFER_SIZE, GL_TRANSFORM_FEEDBACK_BUFFER_START, GL_TRANSFORM_FEEDBACK_PAUSED, GL_TRANSFORM_FEEDBACK_PRIMITIVES_WRITTEN, GL_TRANSFORM_FEEDBACK_VARYING_MAX_LENGTH, GL_TRANSFORM_FEEDBACK_VARYINGS, GL_UNIFORM_ARRAY_STRIDE, GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES, GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS, GL_UNIFORM_BLOCK_BINDING, GL_UNIFORM_BLOCK_DATA_SIZE, GL_UNIFORM_BLOCK_INDEX, GL_UNIFORM_BLOCK_NAME_LENGTH, GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER, GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER, GL_UNIFORM_BUFFER, GL_UNIFORM_BUFFER_BINDING, GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT, GL_UNIFORM_BUFFER_SIZE, GL_UNIFORM_BUFFER_START, GL_UNIFORM_IS_ROW_MAJOR, GL_UNIFORM_MATRIX_STRIDE, GL_UNIFORM_NAME_LENGTH, GL_UNIFORM_OFFSET, GL_UNIFORM_SIZE, GL_UNIFORM_TYPE, GL_UNPACK_IMAGE_HEIGHT, GL_UNPACK_SKIP_IMAGES, GL_UNSIGNED_INT_5_9_9_9_REV, GL_UNSIGNED_INT_SAMPLER_2D, GL_UNSIGNED_INT_SAMPLER_2D_ARRAY, GL_UNSIGNED_INT_SAMPLER_3D, GL_UNSIGNED_INT_SAMPLER_CUBE, GL_UNSIGNED_INT_VEC2, GL_UNSIGNED_INT_VEC3, GL_UNSIGNED_INT_VEC4, GL_VERTEX_ARRAY_BINDING, GL_VERTEX_ATTRIB_ARRAY_INTEGER`

    - ### Fields inherited from interface javax.media.opengl.GL2ES2

      `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH, GL_ACTIVE_ATTRIBUTES, GL_ACTIVE_PROGRAM, GL_ACTIVE_UNIFORM_MAX_LENGTH, GL_ACTIVE_UNIFORMS, GL_ALL_SHADER_BITS, GL_ANY_SAMPLES_PASSED, GL_ANY_SAMPLES_PASSED_CONSERVATIVE, GL_ATTACHED_SHADERS, GL_BLEND_COLOR, GL_BOOL, GL_BOOL_VEC2, GL_BOOL_VEC3, GL_BOOL_VEC4, GL_BUFFER, GL_COLOR_ATTACHMENT1, GL_COLOR_ATTACHMENT10, GL_COLOR_ATTACHMENT11, GL_COLOR_ATTACHMENT12, GL_COLOR_ATTACHMENT13, GL_COLOR_ATTACHMENT14, GL_COLOR_ATTACHMENT15, GL_COLOR_ATTACHMENT2, GL_COLOR_ATTACHMENT3, GL_COLOR_ATTACHMENT4, GL_COLOR_ATTACHMENT5, GL_COLOR_ATTACHMENT6, GL_COLOR_ATTACHMENT7, GL_COLOR_ATTACHMENT8, GL_COLOR_ATTACHMENT9, GL_COMPARE_REF_TO_TEXTURE, GL_COMPILE_STATUS, GL_CONSTANT_ALPHA, GL_CONSTANT_COLOR, GL_CONTEXT_FLAG_DEBUG_BIT, GL_CONTEXT_ROBUST_ACCESS, GL_CURRENT_PROGRAM, GL_CURRENT_QUERY, GL_CURRENT_VERTEX_ATTRIB, GL_DEBUG_CALLBACK_FUNCTION, GL_DEBUG_CALLBACK_USER_PARAM, GL_DEBUG_GROUP_STACK_DEPTH, GL_DEBUG_LOGGED_MESSAGES, GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH, GL_DEBUG_OUTPUT, GL_DEBUG_OUTPUT_SYNCHRONOUS, GL_DEBUG_SEVERITY_HIGH, GL_DEBUG_SEVERITY_LOW, GL_DEBUG_SEVERITY_MEDIUM, GL_DEBUG_SEVERITY_NOTIFICATION, GL_DEBUG_SOURCE_API, GL_DEBUG_SOURCE_APPLICATION, GL_DEBUG_SOURCE_OTHER, GL_DEBUG_SOURCE_SHADER_COMPILER, GL_DEBUG_SOURCE_THIRD_PARTY, GL_DEBUG_SOURCE_WINDOW_SYSTEM, GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR, GL_DEBUG_TYPE_ERROR, GL_DEBUG_TYPE_MARKER, GL_DEBUG_TYPE_OTHER, GL_DEBUG_TYPE_PERFORMANCE, GL_DEBUG_TYPE_POP_GROUP, GL_DEBUG_TYPE_PORTABILITY, GL_DEBUG_TYPE_PUSH_GROUP, GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR, GL_DELETE_STATUS, GL_DEPTH_COMPONENT, GL_DRAW_BUFFER0, GL_DRAW_BUFFER1, GL_DRAW_BUFFER10, GL_DRAW_BUFFER11, GL_DRAW_BUFFER12, GL_DRAW_BUFFER13, GL_DRAW_BUFFER14, GL_DRAW_BUFFER15, GL_DRAW_BUFFER2, GL_DRAW_BUFFER3, GL_DRAW_BUFFER4, GL_DRAW_BUFFER5, GL_DRAW_BUFFER6, GL_DRAW_BUFFER7, GL_DRAW_BUFFER8, GL_DRAW_BUFFER9, GL_FLOAT_MAT2, GL_FLOAT_MAT3, GL_FLOAT_MAT4, GL_FLOAT_VEC2, GL_FLOAT_VEC3, GL_FLOAT_VEC4, GL_FRAGMENT_SHADER, GL_FRAGMENT_SHADER_BIT, GL_FRAGMENT_SHADER_DERIVATIVE_HINT, GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING, GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE, GL_HIGH_FLOAT, GL_HIGH_INT, GL_INFO_LOG_LENGTH, GL_INT, GL_INT_10_10_10_2, GL_INT_VEC2, GL_INT_VEC3, GL_INT_VEC4, GL_LINK_STATUS, GL_LOW_FLOAT, GL_LOW_INT, GL_MAX_3D_TEXTURE_SIZE, GL_MAX_COLOR_ATTACHMENTS, GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS, GL_MAX_DEBUG_GROUP_STACK_DEPTH, GL_MAX_DEBUG_LOGGED_MESSAGES, GL_MAX_DEBUG_MESSAGE_LENGTH, GL_MAX_DRAW_BUFFERS, GL_MAX_FRAGMENT_UNIFORM_VECTORS, GL_MAX_LABEL_LENGTH, GL_MAX_TEXTURE_IMAGE_UNITS, GL_MAX_VARYING_VECTORS, GL_MAX_VERTEX_ATTRIBS, GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS, GL_MAX_VERTEX_UNIFORM_VECTORS, GL_MEDIUM_FLOAT, GL_MEDIUM_INT, GL_NUM_PROGRAM_BINARY_FORMATS, GL_NUM_SHADER_BINARY_FORMATS, GL_ONE_MINUS_CONSTANT_ALPHA, GL_ONE_MINUS_CONSTANT_COLOR, GL_PROGRAM, GL_PROGRAM_BINARY_FORMATS, GL_PROGRAM_BINARY_LENGTH, GL_PROGRAM_PIPELINE_BINDING, GL_PROGRAM_SEPARABLE, GL_QUERY, GL_QUERY_RESULT, GL_QUERY_RESULT_AVAILABLE, GL_R16F, GL_R32F, GL_R8, GL_RED, GL_RG, GL_RG16F, GL_RG32F, GL_RG8, GL_SAMPLER, GL_SAMPLER_2D, GL_SAMPLER_2D_SHADOW, GL_SAMPLER_3D, GL_SAMPLER_CUBE, GL_SHADER, GL_SHADER_BINARY_DMP, GL_SHADER_BINARY_FORMATS, GL_SHADER_COMPILER, GL_SHADER_SOURCE_LENGTH, GL_SHADER_TYPE, GL_SHADING_LANGUAGE_VERSION, GL_STACK_OVERFLOW, GL_STACK_UNDERFLOW, GL_STENCIL_BACK_FAIL, GL_STENCIL_BACK_FUNC, GL_STENCIL_BACK_PASS_DEPTH_FAIL, GL_STENCIL_BACK_PASS_DEPTH_PASS, GL_STENCIL_BACK_REF, GL_STENCIL_BACK_VALUE_MASK, GL_STENCIL_BACK_WRITEMASK, GL_STENCIL_INDEX, GL_STREAM_DRAW, GL_TEXTURE_3D, GL_TEXTURE_BINDING_3D, GL_TEXTURE_COMPARE_FUNC, GL_TEXTURE_COMPARE_MODE, GL_TEXTURE_WRAP_R, GL_UNPACK_ROW_LENGTH, GL_UNPACK_SKIP_PIXELS, GL_UNPACK_SKIP_ROWS, GL_UNSIGNED_INT_10_10_10_2, GL_UNSIGNED_INT_2_10_10_10_REV, GL_UNSIGNED_NORMALIZED, GL_VALIDATE_STATUS, GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING, GL_VERTEX_ATTRIB_ARRAY_ENABLED, GL_VERTEX_ATTRIB_ARRAY_NORMALIZED, GL_VERTEX_ATTRIB_ARRAY_POINTER, GL_VERTEX_ATTRIB_ARRAY_SIZE, GL_VERTEX_ATTRIB_ARRAY_STRIDE, GL_VERTEX_ATTRIB_ARRAY_TYPE, GL_VERTEX_SHADER, GL_VERTEX_SHADER_BIT`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glActiveShaderProgram(int pipeline, int program)` Entry point to C language function: `void glActiveShaderProgram(GLuint pipeline, GLuint program)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glBeginQueryIndexed(int target, int index, int id)` Entry point to C language function: `void glBeginQueryIndexed(GLenum target, GLuint index, GLuint id)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `void` | `glBindImageTexture(int unit, int texture, int level, boolean layered, int layer, int access, int format)` Entry point to C language function: `void glBindImageTexture(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `void` | `glBindProgramPipeline(int pipeline)` Entry point to C language function: `void glBindProgramPipeline(GLuint pipeline)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glBindVertexBuffer(int bindingindex, int buffer, long offset, int stride)` Entry point to C language function: `void glBindVertexBuffer(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glBlendEquationi(int buf, int mode)` Entry point to C language function: `void glBlendEquationi(GLuint buf, GLenum mode)` Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`
    `void` | `glBlendEquationSeparatei(int buf, int modeRGB, int modeAlpha)` Entry point to C language function: `void glBlendEquationSeparatei(GLuint buf, GLenum modeRGB, GLenum modeAlpha)` Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`
    `void` | `glBlendFunci(int buf, int src, int dst)` Entry point to C language function: `void glBlendFunci(GLuint buf, GLenum src, GLenum dst)` Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`
    `void` | `glBlendFuncSeparatei(int buf, int srcRGB, int dstRGB, int srcAlpha, int dstAlpha)` Entry point to C language function: `void glBlendFuncSeparatei(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)` Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`
    `void` | `glClearBufferData(int target, int internalformat, int format, int type, Buffer data)` Entry point to C language function: `void glClearBufferData(GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data)` Part of `GL_VERSION_4_3`, `GL_ARB_clear_buffer_object`
    `void` | `glClearBufferSubData(int target, int internalformat, long offset, long size, int format, int type, Buffer data)` Entry point to C language function: `void glClearBufferSubData(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)` Part of `GL_VERSION_4_3`, `GL_ARB_clear_buffer_object`
    `void` | `glCopyImageSubData(int srcName, int srcTarget, int srcLevel, int srcX, int srcY, int srcZ, int dstName, int dstTarget, int dstLevel, int dstX, int dstY, int dstZ, int srcWidth, int srcHeight, int srcDepth)` Entry point to C language function: `void glCopyImageSubData(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)` Part of `GL_ARB_copy_image`, `GL_VERSION_4_3`
    `int` | `glCreateShaderProgramv(int type, int count, String[] strings)` Entry point to C language function: `GLuint glCreateShaderProgramv(GLenum type, GLsizei count, const GLchar * const * strings)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glDeleteProgramPipelines(int n, int[] pipelines, int pipelines_offset)` Entry point to C language function: `void glDeleteProgramPipelines(GLsizei n, const GLuint * pipelines)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glDeleteProgramPipelines(int n, IntBuffer pipelines)` Entry point to C language function: `void glDeleteProgramPipelines(GLsizei n, const GLuint * pipelines)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glDepthRangeArrayv(int first, int count, double[] v, int v_offset)` Entry point to C language function: `void glDepthRangeArrayv(GLuint first, GLsizei count, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glDepthRangeArrayv(int first, int count, DoubleBuffer v)` Entry point to C language function: `void glDepthRangeArrayv(GLuint first, GLsizei count, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glDepthRangeIndexed(int index, double n, double f)` Entry point to C language function: `void glDepthRangeIndexed(GLuint index, GLdouble n, GLdouble f)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glDispatchCompute(int num_groups_x, int num_groups_y, int num_groups_z)` Entry point to C language function: `void glDispatchCompute(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `void` | `glDispatchComputeIndirect(long indirect)` Entry point to C language function: `void glDispatchComputeIndirect(GLintptr indirect)` Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
    `void` | `glDrawArraysIndirect(int mode, long indirect_buffer_offset)` Entry point to C language function: `void glDrawArraysIndirect(GLenum mode, const GLvoid * indirect)` Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
    `void` | `glDrawArraysInstancedBaseInstance(int mode, int first, int count, int instancecount, int baseinstance)` Entry point to C language function: `void glDrawArraysInstancedBaseInstance(GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)` Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`
    `void` | `glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)` Entry point to C language function: `void glDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid * indirect)` Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
    `void` | `glDrawElementsInstancedBaseInstance(int mode, int count, int type, long indices_buffer_offset, int instancecount, int baseinstance)` Entry point to C language function: `void glDrawElementsInstancedBaseInstance(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance)` Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`
    `void` | `glDrawElementsInstancedBaseVertexBaseInstance(int mode, int count, int type, long indices_buffer_offset, int instancecount, int basevertex, int baseinstance)` Entry point to C language function: `void glDrawElementsInstancedBaseVertexBaseInstance(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)` Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`
    `void` | `glDrawTransformFeedback(int mode, int id)` Entry point to C language function: `void glDrawTransformFeedback(GLenum mode, GLuint id)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`
    `void` | `glDrawTransformFeedbackInstanced(int mode, int id, int instancecount)` Entry point to C language function: `void glDrawTransformFeedbackInstanced(GLenum mode, GLuint id, GLsizei instancecount)` Part of `GL_VERSION_4_2`, `GL_ARB_transform_feedback_instanced`
    `void` | `glDrawTransformFeedbackStream(int mode, int id, int stream)` Entry point to C language function: `void glDrawTransformFeedbackStream(GLenum mode, GLuint id, GLuint stream)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `void` | `glDrawTransformFeedbackStreamInstanced(int mode, int id, int stream, int instancecount)` Entry point to C language function: `void glDrawTransformFeedbackStreamInstanced(GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)` Part of `GL_VERSION_4_2`, `GL_ARB_transform_feedback_instanced`
    `void` | `glEndQueryIndexed(int target, int index)` Entry point to C language function: `void glEndQueryIndexed(GLenum target, GLuint index)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `void` | `glFramebufferParameteri(int target, int pname, int param)` Entry point to C language function: `void glFramebufferParameteri(GLenum target, GLenum pname, GLint param)` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `void` | `glGenProgramPipelines(int n, int[] pipelines, int pipelines_offset)` Entry point to C language function: `void glGenProgramPipelines(GLsizei n, GLuint * pipelines)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glGenProgramPipelines(int n, IntBuffer pipelines)` Entry point to C language function: `void glGenProgramPipelines(GLsizei n, GLuint * pipelines)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glGetActiveAtomicCounterBufferiv(int program, int bufferIndex, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `void` | `glGetActiveAtomicCounterBufferiv(int program, int bufferIndex, int pname, IntBuffer params)` Entry point to C language function: `void glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)` Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
    `void` | `glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize, int[] length, int length_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetActiveSubroutineName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetActiveSubroutineName(int program, int shadertype, int index, int bufsize, IntBuffer length, ByteBuffer name)` Entry point to C language function: `void glGetActiveSubroutineName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetActiveSubroutineUniformiv(int program, int shadertype, int index, int pname, int[] values, int values_offset)` Entry point to C language function: `void glGetActiveSubroutineUniformiv(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetActiveSubroutineUniformiv(int program, int shadertype, int index, int pname, IntBuffer values)` Entry point to C language function: `void glGetActiveSubroutineUniformiv(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize, int[] length, int length_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetActiveSubroutineUniformName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetActiveSubroutineUniformName(int program, int shadertype, int index, int bufsize, IntBuffer length, ByteBuffer name)` Entry point to C language function: `void glGetActiveSubroutineUniformName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetDoublei_v(int target, int index, double[] data, int data_offset)` Entry point to C language function: `void glGetDoublei_v(GLenum target, GLuint index, GLdouble * data)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glGetDoublei_v(int target, int index, DoubleBuffer data)` Entry point to C language function: `void glGetDoublei_v(GLenum target, GLuint index, GLdouble * data)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glGetFloati_v(int target, int index, float[] data, int data_offset)` Entry point to C language function: `void glGetFloati_v(GLenum target, GLuint index, GLfloat * data)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glGetFloati_v(int target, int index, FloatBuffer data)` Entry point to C language function: `void glGetFloati_v(GLenum target, GLuint index, GLfloat * data)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glGetFramebufferParameteriv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `void` | `glGetFramebufferParameteriv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
    `void` | `glGetInternalformati64v(int target, int internalformat, int pname, int bufSize, long[] params, int params_offset)` Entry point to C language function: `void glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)` Part of `GL_ARB_internalformat_query2`, `GL_VERSION_4_2`
    `void` | `glGetInternalformati64v(int target, int internalformat, int pname, int bufSize, LongBuffer params)` Entry point to C language function: `void glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)` Part of `GL_ARB_internalformat_query2`, `GL_VERSION_4_2`
    `void` | `glGetProgramInterfaceiv(int program, int programInterface, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint * params)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramInterfaceiv(int program, int programInterface, int pname, IntBuffer params)` Entry point to C language function: `void glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint * params)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramPipelineInfoLog(int pipeline, int bufSize, int[] length, int length_offset, byte[] infoLog, int infoLog_offset)` Entry point to C language function: `void glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glGetProgramPipelineInfoLog(int pipeline, int bufSize, IntBuffer length, ByteBuffer infoLog)` Entry point to C language function: `void glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glGetProgramPipelineiv(int pipeline, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint * params)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glGetProgramPipelineiv(int pipeline, int pname, IntBuffer params)` Entry point to C language function: `void glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint * params)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `int` | `glGetProgramResourceIndex(int program, int programInterface, byte[] name, int name_offset)` Entry point to C language function: `GLuint glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `int` | `glGetProgramResourceIndex(int program, int programInterface, ByteBuffer name)` Entry point to C language function: `GLuint glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramResourceiv(int program, int programInterface, int index, int propCount, int[] props, int props_offset, int bufSize, int[] length, int length_offset, int[] params, int params_offset)` Entry point to C language function: `void glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramResourceiv(int program, int programInterface, int index, int propCount, IntBuffer props, int bufSize, IntBuffer length, IntBuffer params)` Entry point to C language function: `void glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `int` | `glGetProgramResourceLocation(int program, int programInterface, byte[] name, int name_offset)` Entry point to C language function: `GLint glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `int` | `glGetProgramResourceLocation(int program, int programInterface, ByteBuffer name)` Entry point to C language function: `GLint glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `int` | `glGetProgramResourceLocationIndex(int program, int programInterface, byte[] name, int name_offset)` Entry point to C language function: `GLint glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `int` | `glGetProgramResourceLocationIndex(int program, int programInterface, ByteBuffer name)` Entry point to C language function: `GLint glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramResourceName(int program, int programInterface, int index, int bufSize, int[] length, int length_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramResourceName(int program, int programInterface, int index, int bufSize, IntBuffer length, ByteBuffer name)` Entry point to C language function: `void glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)` Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
    `void` | `glGetProgramStageiv(int program, int shadertype, int pname, int[] values, int values_offset)` Entry point to C language function: `void glGetProgramStageiv(GLuint program, GLenum shadertype, GLenum pname, GLint * values)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetProgramStageiv(int program, int shadertype, int pname, IntBuffer values)` Entry point to C language function: `void glGetProgramStageiv(GLuint program, GLenum shadertype, GLenum pname, GLint * values)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetQueryIndexediv(int target, int index, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint * params)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `void` | `glGetQueryIndexediv(int target, int index, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint * params)` Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
    `int` | `glGetSubroutineIndex(int program, int shadertype, String name)` Entry point to C language function: `GLuint glGetSubroutineIndex(GLuint program, GLenum shadertype, const GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `int` | `glGetSubroutineUniformLocation(int program, int shadertype, String name)` Entry point to C language function: `GLint glGetSubroutineUniformLocation(GLuint program, GLenum shadertype, const GLchar * name)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetUniformdv(int program, int location, double[] params, int params_offset)` Entry point to C language function: `void glGetUniformdv(GLuint program, GLint location, GLdouble * params)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glGetUniformdv(int program, int location, DoubleBuffer params)` Entry point to C language function: `void glGetUniformdv(GLuint program, GLint location, GLdouble * params)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glGetUniformSubroutineuiv(int shadertype, int location, int[] params, int params_offset)` Entry point to C language function: `void glGetUniformSubroutineuiv(GLenum shadertype, GLint location, GLuint * params)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetUniformSubroutineuiv(int shadertype, int location, IntBuffer params)` Entry point to C language function: `void glGetUniformSubroutineuiv(GLenum shadertype, GLint location, GLuint * params)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glGetVertexAttribLdv(int index, int pname, double[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble * params)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glGetVertexAttribLdv(int index, int pname, DoubleBuffer params)` Entry point to C language function: `void glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble * params)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glInvalidateBufferData(int buffer)` Entry point to C language function: `void glInvalidateBufferData(GLuint buffer)` Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`
    `void` | `glInvalidateBufferSubData(int buffer, long offset, long length)` Entry point to C language function: `void glInvalidateBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr length)` Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`
    `void` | `glInvalidateTexImage(int texture, int level)` Entry point to C language function: `void glInvalidateTexImage(GLuint texture, GLint level)` Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`
    `void` | `glInvalidateTexSubImage(int texture, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth)` Entry point to C language function: `void glInvalidateTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)` Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`
    `boolean` | `glIsProgramPipeline(int pipeline)` Entry point to C language function: `GLboolean glIsProgramPipeline(GLuint pipeline)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glMemoryBarrier(int barriers)` Entry point to C language function: `void glMemoryBarrier(GLbitfield barriers)` Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
    `void` | `glMinSampleShading(float value)` Entry point to C language function: `void glMinSampleShading(GLfloat value)` Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`
    `void` | `glMultiDrawArraysIndirect(int mode, long indirect_buffer_offset, int drawcount, int stride)` Entry point to C language function: `void glMultiDrawArraysIndirect(GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride)` Part of `GL_VERSION_4_3`, `GL_ARB_multi_draw_indirect`
    `void` | `glMultiDrawElementsIndirect(int mode, int type, Buffer indirect, int drawcount, int stride)` Entry point to C language function: `void glMultiDrawElementsIndirect(GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride)` Part of `GL_VERSION_4_3`, `GL_ARB_multi_draw_indirect`
    `void` | `glPatchParameterfv(int pname, float[] values, int values_offset)` Entry point to C language function: `void glPatchParameterfv(GLenum pname, const GLfloat * values)` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `void` | `glPatchParameterfv(int pname, FloatBuffer values)` Entry point to C language function: `void glPatchParameterfv(GLenum pname, const GLfloat * values)` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `void` | `glPatchParameteri(int pname, int value)` Entry point to C language function: `void glPatchParameteri(GLenum pname, GLint value)` Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
    `void` | `glProgramUniform1d(int program, int location, double v0)` Entry point to C language function: `void glProgramUniform1d(GLuint program, GLint location, GLdouble v0)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform1dv(int program, int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform1dv(int program, int location, int count, DoubleBuffer value)` Entry point to C language function: `void glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform1f(int program, int location, float v0)` Entry point to C language function: `void glProgramUniform1f(GLuint program, GLint location, GLfloat v0)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1fv(int program, int location, int count, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1fv(int program, int location, int count, FloatBuffer value)` Entry point to C language function: `void glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1i(int program, int location, int v0)` Entry point to C language function: `void glProgramUniform1i(GLuint program, GLint location, GLint v0)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1iv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1iv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform1ui(int program, int location, int v0)` Entry point to C language function: `void glProgramUniform1ui(GLuint program, GLint location, GLuint v0)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform1uiv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform1uiv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform2d(int program, int location, double v0, double v1)` Entry point to C language function: `void glProgramUniform2d(GLuint program, GLint location, GLdouble v0, GLdouble v1)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform2dv(int program, int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform2dv(int program, int location, int count, DoubleBuffer value)` Entry point to C language function: `void glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform2f(int program, int location, float v0, float v1)` Entry point to C language function: `void glProgramUniform2f(GLuint program, GLint location, GLfloat v0, GLfloat v1)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2fv(int program, int location, int count, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2fv(int program, int location, int count, FloatBuffer value)` Entry point to C language function: `void glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2i(int program, int location, int v0, int v1)` Entry point to C language function: `void glProgramUniform2i(GLuint program, GLint location, GLint v0, GLint v1)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2iv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2iv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform2ui(int program, int location, int v0, int v1)` Entry point to C language function: `void glProgramUniform2ui(GLuint program, GLint location, GLuint v0, GLuint v1)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform2uiv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform2uiv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform3d(int program, int location, double v0, double v1, double v2)` Entry point to C language function: `void glProgramUniform3d(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform3dv(int program, int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform3dv(int program, int location, int count, DoubleBuffer value)` Entry point to C language function: `void glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform3f(int program, int location, float v0, float v1, float v2)` Entry point to C language function: `void glProgramUniform3f(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3fv(int program, int location, int count, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3fv(int program, int location, int count, FloatBuffer value)` Entry point to C language function: `void glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3i(int program, int location, int v0, int v1, int v2)` Entry point to C language function: `void glProgramUniform3i(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3iv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3iv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform3ui(int program, int location, int v0, int v1, int v2)` Entry point to C language function: `void glProgramUniform3ui(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform3uiv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform3uiv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform4d(int program, int location, double v0, double v1, double v2, double v3)` Entry point to C language function: `void glProgramUniform4d(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform4dv(int program, int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform4dv(int program, int location, int count, DoubleBuffer value)` Entry point to C language function: `void glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniform4f(int program, int location, float v0, float v1, float v2, float v3)` Entry point to C language function: `void glProgramUniform4f(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4fv(int program, int location, int count, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4fv(int program, int location, int count, FloatBuffer value)` Entry point to C language function: `void glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4i(int program, int location, int v0, int v1, int v2, int v3)` Entry point to C language function: `void glProgramUniform4i(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4iv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4iv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniform4ui(int program, int location, int v0, int v1, int v2, int v3)` Entry point to C language function: `void glProgramUniform4ui(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform4uiv(int program, int location, int count, int[] value, int value_offset)` Entry point to C language function: `void glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniform4uiv(int program, int location, int count, IntBuffer value)` Entry point to C language function: `void glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix2dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix2fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix2x3dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2x3dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2x3fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix2x3fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix2x4dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2x4dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix2x4fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix2x4fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix3dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix3fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix3x2dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3x2dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3x2fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix3x2fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix3x4dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3x4dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix3x4fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix3x4fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix4dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix4fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
    `void` | `glProgramUniformMatrix4x2dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4x2dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4x2fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix4x2fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix4x3dv(int program, int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4x3dv(int program, int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
    `void` | `glProgramUniformMatrix4x3fv(int program, int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glProgramUniformMatrix4x3fv(int program, int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
    `void` | `glScissorArrayv(int first, int count, int[] v, int v_offset)` Entry point to C language function: `void glScissorArrayv(GLuint first, GLsizei count, const GLint * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glScissorArrayv(int first, int count, IntBuffer v)` Entry point to C language function: `void glScissorArrayv(GLuint first, GLsizei count, const GLint * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glScissorIndexed(int index, int left, int bottom, int width, int height)` Entry point to C language function: `void glScissorIndexed(GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glScissorIndexedv(int index, int[] v, int v_offset)` Entry point to C language function: `void glScissorIndexedv(GLuint index, const GLint * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glScissorIndexedv(int index, IntBuffer v)` Entry point to C language function: `void glScissorIndexedv(GLuint index, const GLint * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glShaderStorageBlockBinding(int program, int storageBlockIndex, int storageBlockBinding)` Entry point to C language function: `void glShaderStorageBlockBinding(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)` Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
    `void` | `glTexBufferRange(int target, int internalformat, int buffer, long offset, long size)` Entry point to C language function: `void glTexBufferRange(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)` Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
    `void` | `glTexStorage2DMultisample(int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)` Entry point to C language function: `void glTexStorage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)` Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`
    `void` | `glTexStorage3DMultisample(int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)` Entry point to C language function: `void glTexStorage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)` Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`
    `void` | `glTextureStorage2DMultisampleEXT(int texture, int target, int samples, int internalformat, int width, int height, boolean fixedsamplelocations)` Entry point to C language function: `void glTextureStorage2DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)` Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`
    `void` | `glTextureStorage3DMultisampleEXT(int texture, int target, int samples, int internalformat, int width, int height, int depth, boolean fixedsamplelocations)` Entry point to C language function: `void glTextureStorage3DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)` Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`
    `void` | `glTextureView(int texture, int target, int origtexture, int internalformat, int minlevel, int numlevels, int minlayer, int numlayers)` Entry point to C language function: `void glTextureView(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)` Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
    `void` | `glUniform1d(int location, double x)` Entry point to C language function: `void glUniform1d(GLint location, GLdouble x)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform1dv(int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glUniform1dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform1dv(int location, int count, DoubleBuffer value)` Entry point to C language function: `void glUniform1dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform2d(int location, double x, double y)` Entry point to C language function: `void glUniform2d(GLint location, GLdouble x, GLdouble y)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform2dv(int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glUniform2dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform2dv(int location, int count, DoubleBuffer value)` Entry point to C language function: `void glUniform2dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform3d(int location, double x, double y, double z)` Entry point to C language function: `void glUniform3d(GLint location, GLdouble x, GLdouble y, GLdouble z)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform3dv(int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glUniform3dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform3dv(int location, int count, DoubleBuffer value)` Entry point to C language function: `void glUniform3dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform4d(int location, double x, double y, double z, double w)` Entry point to C language function: `void glUniform4d(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform4dv(int location, int count, double[] value, int value_offset)` Entry point to C language function: `void glUniform4dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniform4dv(int location, int count, DoubleBuffer value)` Entry point to C language function: `void glUniform4dv(GLint location, GLsizei count, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2x3dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2x3dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2x4dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix2x4dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3x2dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3x2dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3x4dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix3x4dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4x2dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4x2dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4x3dv(int location, int count, boolean transpose, double[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformMatrix4x3dv(int location, int count, boolean transpose, DoubleBuffer value)` Entry point to C language function: `void glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)` Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
    `void` | `glUniformSubroutinesuiv(int shadertype, int count, int[] indices, int indices_offset)` Entry point to C language function: `void glUniformSubroutinesuiv(GLenum shadertype, GLsizei count, const GLuint * indices)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glUniformSubroutinesuiv(int shadertype, int count, IntBuffer indices)` Entry point to C language function: `void glUniformSubroutinesuiv(GLenum shadertype, GLsizei count, const GLuint * indices)` Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
    `void` | `glUseProgramStages(int pipeline, int stages, int program)` Entry point to C language function: `void glUseProgramStages(GLuint pipeline, GLbitfield stages, GLuint program)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glValidateProgramPipeline(int pipeline)` Entry point to C language function: `void glValidateProgramPipeline(GLuint pipeline)` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `void` | `glVertexAttribBinding(int attribindex, int bindingindex)` Entry point to C language function: `void glVertexAttribBinding(GLuint attribindex, GLuint bindingindex)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexAttribFormat(int attribindex, int size, int type, boolean normalized, int relativeoffset)` Entry point to C language function: `void glVertexAttribFormat(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexAttribIFormat(int attribindex, int size, int type, int relativeoffset)` Entry point to C language function: `void glVertexAttribIFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexAttribL1d(int index, double x)` Entry point to C language function: `void glVertexAttribL1d(GLuint index, GLdouble x)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL1dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttribL1dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL1dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttribL1dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL2d(int index, double x, double y)` Entry point to C language function: `void glVertexAttribL2d(GLuint index, GLdouble x, GLdouble y)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL2dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttribL2dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL2dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttribL2dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL3d(int index, double x, double y, double z)` Entry point to C language function: `void glVertexAttribL3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL3dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttribL3dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL3dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttribL3dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL4d(int index, double x, double y, double z, double w)` Entry point to C language function: `void glVertexAttribL4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL4dv(int index, double[] v, int v_offset)` Entry point to C language function: `void glVertexAttribL4dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribL4dv(int index, DoubleBuffer v)` Entry point to C language function: `void glVertexAttribL4dv(GLuint index, const GLdouble * v)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexAttribLFormat(int attribindex, int size, int type, int relativeoffset)` Entry point to C language function: `void glVertexAttribLFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glVertexAttribLPointer(int index, int size, int type, int stride, long pointer_buffer_offset)` Entry point to C language function: `void glVertexAttribLPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)` Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
    `void` | `glVertexBindingDivisor(int bindingindex, int divisor)` Entry point to C language function: `void glVertexBindingDivisor(GLuint bindingindex, GLuint divisor)` Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
    `void` | `glViewportArrayv(int first, int count, float[] v, int v_offset)` Entry point to C language function: `void glViewportArrayv(GLuint first, GLsizei count, const GLfloat * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glViewportArrayv(int first, int count, FloatBuffer v)` Entry point to C language function: `void glViewportArrayv(GLuint first, GLsizei count, const GLfloat * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glViewportIndexedf(int index, float x, float y, float w, float h)` Entry point to C language function: `void glViewportIndexedf(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glViewportIndexedfv(int index, float[] v, int v_offset)` Entry point to C language function: `void glViewportIndexedfv(GLuint index, const GLfloat * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
    `void` | `glViewportIndexedfv(int index, FloatBuffer v)` Entry point to C language function: `void glViewportIndexedfv(GLuint index, const GLfloat * v)` Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - ### Methods inherited from interface javax.media.opengl.GL4ES3

      `glBindTransformFeedback, glDeleteTransformFeedbacks, glDeleteTransformFeedbacks, glGenTransformFeedbacks, glGenTransformFeedbacks, glInvalidateFramebuffer, glInvalidateFramebuffer, glInvalidateSubFramebuffer, glInvalidateSubFramebuffer, glIsTransformFeedback, glPauseTransformFeedback, glProgramParameteri, glResumeTransformFeedback`

    - ### Methods inherited from interface javax.media.opengl.GL3

      `glBindFragDataLocationIndexed, glColorP3ui, glColorP3uiv, glColorP3uiv, glColorP4ui, glColorP4uiv, glColorP4uiv, glDrawElementsBaseVertex, glDrawElementsInstancedBaseVertex, glDrawRangeElementsBaseVertex, glFramebufferTexture, glGetFragDataIndex, glGetMultisamplefv, glGetMultisamplefv, glGetQueryObjecti64v, glGetQueryObjecti64v, glGetQueryObjectui64v, glGetQueryObjectui64v, glGetSamplerParameterIiv, glGetSamplerParameterIiv, glGetSamplerParameterIuiv, glGetSamplerParameterIuiv, glMultiDrawElementsBaseVertex, glMultiTexCoordP1ui, glMultiTexCoordP1uiv, glMultiTexCoordP1uiv, glMultiTexCoordP2ui, glMultiTexCoordP2uiv, glMultiTexCoordP2uiv, glMultiTexCoordP3ui, glMultiTexCoordP3uiv, glMultiTexCoordP3uiv, glMultiTexCoordP4ui, glMultiTexCoordP4uiv, glMultiTexCoordP4uiv, glNormalP3ui, glNormalP3uiv, glNormalP3uiv, glProvokingVertex, glQueryCounter, glSampleMaski, glSamplerParameterIiv, glSamplerParameterIiv, glSamplerParameterIuiv, glSamplerParameterIuiv, glSecondaryColorP3ui, glSecondaryColorP3uiv, glSecondaryColorP3uiv, glTexCoordP1ui, glTexCoordP1uiv, glTexCoordP1uiv, glTexCoordP2ui, glTexCoordP2uiv, glTexCoordP2uiv, glTexCoordP3ui, glTexCoordP3uiv, glTexCoordP3uiv, glTexCoordP4ui, glTexCoordP4uiv, glTexCoordP4uiv, glTexImage2DMultisample, glTexImage3DMultisample, glVertexAttribP1ui, glVertexAttribP1uiv, glVertexAttribP1uiv, glVertexAttribP2ui, glVertexAttribP2uiv, glVertexAttribP2uiv, glVertexAttribP3ui, glVertexAttribP3uiv, glVertexAttribP3uiv, glVertexAttribP4ui, glVertexAttribP4uiv, glVertexAttribP4uiv, glVertexP2ui, glVertexP2uiv, glVertexP2uiv, glVertexP3ui, glVertexP3uiv, glVertexP3uiv, glVertexP4ui, glVertexP4uiv, glVertexP4uiv`

    - ### Methods inherited from interface javax.media.opengl.GL3ES3

      `glBindSampler, glClientWaitSync, glDeleteSamplers, glDeleteSamplers, glDeleteSync, glFenceSync, glGenSamplers, glGenSamplers, glGetBufferParameteri64v, glGetBufferParameteri64v, glGetInteger64i_v, glGetInteger64i_v, glGetInteger64v, glGetInteger64v, glGetSamplerParameterfv, glGetSamplerParameterfv, glGetSamplerParameteriv, glGetSamplerParameteriv, glGetSynciv, glGetSynciv, glIsSampler, glIsSync, glSamplerParameterf, glSamplerParameterfv, glSamplerParameterfv, glSamplerParameteri, glSamplerParameteriv, glSamplerParameteriv, glVertexAttribDivisor, glWaitSync`

    - ### Methods inherited from interface javax.media.opengl.GL2GL3

      `glBeginConditionalRender, glBindFragDataLocation, glBufferAddressRangeNV, glClampColor, glClearNamedBufferDataEXT, glClearNamedBufferSubDataEXT, glColorFormatNV, glColorMaski, glCompileShaderIncludeARB, glCompileShaderIncludeARB, glCompressedTexImage1D, glCompressedTexImage1D, glCompressedTexSubImage1D, glCompressedTexSubImage1D, glCopyTexImage1D, glCopyTexSubImage1D, glCreateSyncFromCLeventARB, glDebugMessageEnableAMD, glDebugMessageEnableAMD, glDebugMessageInsertAMD, glDeleteNamedStringARB, glDisableClientState, glDisablei, glDrawBuffer, glEdgeFlagFormatNV, glEnableClientState, glEnablei, glEndConditionalRender, glFogCoordFormatNV, glFramebufferTexture1D, glFramebufferTextureARB, glFramebufferTextureFaceARB, glFramebufferTextureLayerARB, glGetActiveUniformName, glGetActiveUniformName, glGetBooleani_v, glGetBooleani_v, glGetBufferParameterui64vNV, glGetBufferParameterui64vNV, glGetBufferSubData, glGetCompressedTexImage, glGetCompressedTexImage, glGetDebugMessageLogAMD, glGetDebugMessageLogAMD, glGetDoublev, glGetDoublev, glGetIntegerui64i_vNV, glGetIntegerui64i_vNV, glGetIntegerui64vNV, glGetIntegerui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedBufferParameterui64vNV, glGetNamedFramebufferParameterivEXT, glGetNamedFramebufferParameterivEXT, glGetNamedStringARB, glGetNamedStringARB, glGetNamedStringivARB, glGetNamedStringivARB, glGetnCompressedTexImage, glGetnTexImage, glGetnUniformdv, glGetnUniformdv, glGetnUniformuiv, glGetnUniformuiv, glGetQueryObjectiv, glGetQueryObjectiv, glGetTexImage, glGetTexImage, glGetTexLevelParameterfv, glGetTexLevelParameterfv, glGetTexLevelParameteriv, glGetTexLevelParameteriv, glGetTexParameterIiv, glGetTexParameterIiv, glGetTexParameterIuiv, glGetTexParameterIuiv, glGetUniformui64vNV, glGetUniformui64vNV, glGetVertexAttribdv, glGetVertexAttribdv, glImportSyncEXT, glIndexFormatNV, glIsBufferResidentNV, glIsEnabledi, glIsNamedBufferResidentNV, glIsNamedStringARB, glLogicOp, glMakeBufferNonResidentNV, glMakeBufferResidentNV, glMakeNamedBufferNonResidentNV, glMakeNamedBufferResidentNV, glMultiDrawArrays, glMultiDrawArrays, glMultiDrawArraysIndirectAMD, glMultiDrawElements, glMultiDrawElementsIndirectAMD, glNamedFramebufferParameteriEXT, glNamedStringARB, glNormalFormatNV, glPixelStoref, glPointParameterf, glPointParameterfv, glPointParameterfv, glPointParameteri, glPointParameteriv, glPointParameteriv, glPointSize, glPolygonMode, glPrimitiveRestartIndex, glProgramParameteriARB, glProgramUniformui64NV, glProgramUniformui64vNV, glProgramUniformui64vNV, glSecondaryColorFormatNV, glSetMultisamplefvAMD, glSetMultisamplefvAMD, glStencilOpValueAMD, glTessellationFactorAMD, glTessellationModeAMD, glTexBuffer, glTexCoordFormatNV, glTexImage1D, glTexImage1D, glTexImage2DMultisampleCoverageNV, glTexImage3DMultisampleCoverageNV, glTexParameterIiv, glTexParameterIiv, glTexParameterIuiv, glTexParameterIuiv, glTexSubImage1D, glTexSubImage1D, glTextureBufferRangeEXT, glTextureImage2DMultisampleCoverageNV, glTextureImage2DMultisampleNV, glTextureImage3DMultisampleCoverageNV, glTextureImage3DMultisampleNV, glUniformui64NV, glUniformui64vNV, glUniformui64vNV, glVertexArrayBindVertexBufferEXT, glVertexArrayVertexAttribBindingEXT, glVertexArrayVertexAttribFormatEXT, glVertexArrayVertexAttribIFormatEXT, glVertexArrayVertexAttribLFormatEXT, glVertexArrayVertexBindingDivisorEXT, glVertexAttrib1d, glVertexAttrib1dv, glVertexAttrib1dv, glVertexAttrib1s, glVertexAttrib1sv, glVertexAttrib1sv, glVertexAttrib2d, glVertexAttrib2dv, glVertexAttrib2dv, glVertexAttrib2s, glVertexAttrib2sv, glVertexAttrib2sv, glVertexAttrib3d, glVertexAttrib3dv, glVertexAttrib3dv, glVertexAttrib3s, glVertexAttrib3sv, glVertexAttrib3sv, glVertexAttrib4bv, glVertexAttrib4bv, glVertexAttrib4d, glVertexAttrib4dv, glVertexAttrib4dv, glVertexAttrib4iv, glVertexAttrib4iv, glVertexAttrib4Nbv, glVertexAttrib4Nbv, glVertexAttrib4Niv, glVertexAttrib4Niv, glVertexAttrib4Nsv, glVertexAttrib4Nsv, glVertexAttrib4Nub, glVertexAttrib4Nubv, glVertexAttrib4Nubv, glVertexAttrib4Nuiv, glVertexAttrib4Nuiv, glVertexAttrib4Nusv, glVertexAttrib4Nusv, glVertexAttrib4s, glVertexAttrib4sv, glVertexAttrib4sv, glVertexAttrib4ubv, glVertexAttrib4ubv, glVertexAttrib4uiv, glVertexAttrib4uiv, glVertexAttrib4usv, glVertexAttrib4usv, glVertexAttribFormatNV, glVertexAttribI1i, glVertexAttribI1iv, glVertexAttribI1iv, glVertexAttribI1ui, glVertexAttribI1uiv, glVertexAttribI1uiv, glVertexAttribI2i, glVertexAttribI2iv, glVertexAttribI2iv, glVertexAttribI2ui, glVertexAttribI2uiv, glVertexAttribI2uiv, glVertexAttribI3i, glVertexAttribI3iv, glVertexAttribI3iv, glVertexAttribI3ui, glVertexAttribI3uiv, glVertexAttribI3uiv, glVertexAttribI4bv, glVertexAttribI4bv, glVertexAttribI4sv, glVertexAttribI4sv, glVertexAttribI4ubv, glVertexAttribI4ubv, glVertexAttribI4usv, glVertexAttribI4usv, glVertexAttribIFormatNV, glVertexFormatNV`

    - ### Methods inherited from interface javax.media.opengl.GL2ES3

      `glBeginTransformFeedback, glBindBufferBase, glBindBufferRange, glBindVertexArray, glBlitFramebuffer, glClearBufferfi, glClearBufferfv, glClearBufferfv, glClearBufferiv, glClearBufferiv, glClearBufferuiv, glClearBufferuiv, glCopyBufferSubData, glDeleteVertexArrays, glDeleteVertexArrays, glDrawArraysInstanced, glDrawBuffers, glDrawBuffers, glDrawElementsInstanced, glDrawRangeElements, glEndTransformFeedback, glFramebufferTextureLayer, glGenVertexArrays, glGenVertexArrays, glGetActiveUniformBlockiv, glGetActiveUniformBlockiv, glGetActiveUniformBlockName, glGetActiveUniformBlockName, glGetActiveUniformsiv, glGetActiveUniformsiv, glGetFragDataLocation, glGetIntegeri_v, glGetIntegeri_v, glGetInternalformativ, glGetInternalformativ, glGetStringi, glGetTransformFeedbackVarying, glGetTransformFeedbackVarying, glGetUniformBlockIndex, glGetUniformIndices, glGetUniformIndices, glGetUniformuiv, glGetUniformuiv, glGetVertexAttribIiv, glGetVertexAttribIiv, glGetVertexAttribIuiv, glGetVertexAttribIuiv, glIsVertexArray, glReadBuffer, glRenderbufferStorageMultisample, glTransformFeedbackVaryings, glUniform1ui, glUniform1uiv, glUniform1uiv, glUniform2ui, glUniform2uiv, glUniform2uiv, glUniform3ui, glUniform3uiv, glUniform3uiv, glUniform4ui, glUniform4uiv, glUniform4uiv, glUniformBlockBinding, glUniformMatrix2x3fv, glUniformMatrix2x3fv, glUniformMatrix2x4fv, glUniformMatrix2x4fv, glUniformMatrix3x2fv, glUniformMatrix3x2fv, glUniformMatrix3x4fv, glUniformMatrix3x4fv, glUniformMatrix4x2fv, glUniformMatrix4x2fv, glUniformMatrix4x3fv, glUniformMatrix4x3fv, glVertexAttribI4i, glVertexAttribI4iv, glVertexAttribI4iv, glVertexAttribI4ui, glVertexAttribI4uiv, glVertexAttribI4uiv, glVertexAttribIPointer, isPBOPackBound, isPBOUnpackBound`

    - ### Methods inherited from interface javax.media.opengl.GL2ES2

      `glAttachShader, glBeginQuery, glBindAttribLocation, glBlendColor, glClearDepth, glClearDepthf, glCompileShader, glCompressedTexImage3D, glCompressedTexImage3D, glCompressedTexSubImage3D, glCompressedTexSubImage3D, glCopyTexSubImage3D, glCreateProgram, glCreateShader, glDebugMessageControl, glDebugMessageControl, glDebugMessageInsert, glDeleteProgram, glDeleteQueries, glDeleteQueries, glDeleteShader, glDepthRange, glDepthRangef, glDetachShader, glDisableVertexAttribArray, glEnableVertexAttribArray, glEndQuery, glFramebufferTexture3D, glGenQueries, glGenQueries, glGetActiveAttrib, glGetActiveAttrib, glGetActiveUniform, glGetActiveUniform, glGetAttachedShaders, glGetAttachedShaders, glGetAttribLocation, glGetDebugMessageLog, glGetDebugMessageLog, glGetObjectLabel, glGetObjectLabel, glGetObjectPtrLabel, glGetObjectPtrLabel, glGetProgramBinary, glGetProgramBinary, glGetProgramInfoLog, glGetProgramInfoLog, glGetProgramiv, glGetProgramiv, glGetQueryiv, glGetQueryiv, glGetQueryObjectuiv, glGetQueryObjectuiv, glGetShaderInfoLog, glGetShaderInfoLog, glGetShaderiv, glGetShaderiv, glGetShaderPrecisionFormat, glGetShaderPrecisionFormat, glGetShaderSource, glGetShaderSource, glGetUniformfv, glGetUniformfv, glGetUniformiv, glGetUniformiv, glGetUniformLocation, glGetVertexAttribfv, glGetVertexAttribfv, glGetVertexAttribiv, glGetVertexAttribiv, glIsProgram, glIsQuery, glIsShader, glLinkProgram, glObjectLabel, glObjectLabel, glObjectPtrLabel, glObjectPtrLabel, glPopDebugGroup, glProgramBinary, glPushDebugGroup, glPushDebugGroup, glReleaseShaderCompiler, glShaderBinary, glShaderBinary, glShaderSource, glShaderSource, glStencilFuncSeparate, glStencilMaskSeparate, glStencilOpSeparate, glTexImage3D, glTexImage3D, glTexSubImage3D, glTexSubImage3D, glUniform, glUniform1f, glUniform1fv, glUniform1fv, glUniform1i, glUniform1iv, glUniform1iv, glUniform2f, glUniform2fv, glUniform2fv, glUniform2i, glUniform2iv, glUniform2iv, glUniform3f, glUniform3fv, glUniform3fv, glUniform3i, glUniform3iv, glUniform3iv, glUniform4f, glUniform4fv, glUniform4fv, glUniform4i, glUniform4iv, glUniform4iv, glUniformMatrix2fv, glUniformMatrix2fv, glUniformMatrix3fv, glUniformMatrix3fv, glUniformMatrix4fv, glUniformMatrix4fv, glUseProgram, glValidateProgram, glVertexAttrib1f, glVertexAttrib1fv, glVertexAttrib1fv, glVertexAttrib2f, glVertexAttrib2fv, glVertexAttrib2fv, glVertexAttrib3f, glVertexAttrib3fv, glVertexAttrib3fv, glVertexAttrib4f, glVertexAttrib4fv, glVertexAttrib4fv, glVertexAttribPointer, glVertexAttribPointer`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_SAMPLE_SHADING

          static final int GL_SAMPLE_SHADING

      Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`
      See Also:
        Constant Field Values

    - #### GL_MIN_SAMPLE_SHADING_VALUE

          static final int GL_MIN_SAMPLE_SHADING_VALUE

      Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`
      See Also:
        Constant Field Values

    - #### GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET

          static final int GL_MIN_PROGRAM_TEXTURE_GATHER_OFFSET

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_gather`
      See Also:
        Constant Field Values

    - #### GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET

          static final int GL_MAX_PROGRAM_TEXTURE_GATHER_OFFSET

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_gather`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_CUBE_MAP_ARRAY

          static final int GL_TEXTURE_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_CUBE_MAP_ARRAY

          static final int GL_TEXTURE_BINDING_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_PROXY_TEXTURE_CUBE_MAP_ARRAY

          static final int GL_PROXY_TEXTURE_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_CUBE_MAP_ARRAY

          static final int GL_SAMPLER_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW

          static final int GL_SAMPLER_CUBE_MAP_ARRAY_SHADOW

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_INT_SAMPLER_CUBE_MAP_ARRAY

          static final int GL_INT_SAMPLER_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY

          static final int GL_UNSIGNED_INT_SAMPLER_CUBE_MAP_ARRAY

      Part of `GL_VERSION_4_0`; `GL_ARB_texture_cube_map_array`
      See Also:
        Constant Field Values

    - #### GL_DRAW_INDIRECT_BUFFER

          static final int GL_DRAW_INDIRECT_BUFFER

      Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
      See Also:
        Constant Field Values

    - #### GL_DRAW_INDIRECT_BUFFER_BINDING

          static final int GL_DRAW_INDIRECT_BUFFER_BINDING

      Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SHADER_INVOCATIONS

          static final int GL_GEOMETRY_SHADER_INVOCATIONS

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_SHADER_INVOCATIONS

          static final int GL_MAX_GEOMETRY_SHADER_INVOCATIONS

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

          static final int GL_MIN_FRAGMENT_INTERPOLATION_OFFSET

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

          static final int GL_MAX_FRAGMENT_INTERPOLATION_OFFSET

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

          static final int GL_FRAGMENT_INTERPOLATION_OFFSET_BITS

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader5`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_STREAMS

          static final int GL_MAX_VERTEX_STREAMS

      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_VEC2

          static final int GL_DOUBLE_VEC2

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_VEC3

          static final int GL_DOUBLE_VEC3

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_VEC4

          static final int GL_DOUBLE_VEC4

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT2

          static final int GL_DOUBLE_MAT2

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT3

          static final int GL_DOUBLE_MAT3

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT4

          static final int GL_DOUBLE_MAT4

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT2x3

          static final int GL_DOUBLE_MAT2x3

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT2x4

          static final int GL_DOUBLE_MAT2x4

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT3x2

          static final int GL_DOUBLE_MAT3x2

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT3x4

          static final int GL_DOUBLE_MAT3x4

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT4x2

          static final int GL_DOUBLE_MAT4x2

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_DOUBLE_MAT4x3

          static final int GL_DOUBLE_MAT4x3

      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_SUBROUTINES

          static final int GL_ACTIVE_SUBROUTINES

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_SUBROUTINE_UNIFORMS

          static final int GL_ACTIVE_SUBROUTINE_UNIFORMS

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS

          static final int GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_SUBROUTINE_MAX_LENGTH

          static final int GL_ACTIVE_SUBROUTINE_MAX_LENGTH

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH

          static final int GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_SUBROUTINES

          static final int GL_MAX_SUBROUTINES

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS

          static final int GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_NUM_COMPATIBLE_SUBROUTINES

          static final int GL_NUM_COMPATIBLE_SUBROUTINES

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_COMPATIBLE_SUBROUTINES

          static final int GL_COMPATIBLE_SUBROUTINES

      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      See Also:
        Constant Field Values

    - #### GL_PATCHES

          static final int GL_PATCHES

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_PATCH_VERTICES

          static final int GL_PATCH_VERTICES

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_PATCH_DEFAULT_INNER_LEVEL

          static final int GL_PATCH_DEFAULT_INNER_LEVEL

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_PATCH_DEFAULT_OUTER_LEVEL

          static final int GL_PATCH_DEFAULT_OUTER_LEVEL

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_OUTPUT_VERTICES

          static final int GL_TESS_CONTROL_OUTPUT_VERTICES

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_GEN_MODE

          static final int GL_TESS_GEN_MODE

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_GEN_SPACING

          static final int GL_TESS_GEN_SPACING

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_GEN_VERTEX_ORDER

          static final int GL_TESS_GEN_VERTEX_ORDER

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_GEN_POINT_MODE

          static final int GL_TESS_GEN_POINT_MODE

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_ISOLINES

          static final int GL_ISOLINES

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_FRACTIONAL_ODD

          static final int GL_FRACTIONAL_ODD

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_FRACTIONAL_EVEN

          static final int GL_FRACTIONAL_EVEN

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_PATCH_VERTICES

          static final int GL_MAX_PATCH_VERTICES

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_GEN_LEVEL

          static final int GL_MAX_TESS_GEN_LEVEL

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS

          static final int GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS

          static final int GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS

          static final int GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_PATCH_COMPONENTS

          static final int GL_MAX_TESS_PATCH_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS

          static final int GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS

          static final int GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS

          static final int GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS

          static final int GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_INPUT_COMPONENTS

          static final int GL_MAX_TESS_CONTROL_INPUT_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS

          static final int GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_EVALUATION_SHADER

          static final int GL_TESS_EVALUATION_SHADER

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_SHADER

          static final int GL_TESS_CONTROL_SHADER

      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED

      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE

          static final int GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE

      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`
      See Also:
        Constant Field Values

    - #### GL_MAX_TRANSFORM_FEEDBACK_BUFFERS

          static final int GL_MAX_TRANSFORM_FEEDBACK_BUFFERS

      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SHADER_BIT

          static final int GL_GEOMETRY_SHADER_BIT

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_SHADER_BIT

          static final int GL_TESS_CONTROL_SHADER_BIT

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_TESS_EVALUATION_SHADER_BIT

          static final int GL_TESS_EVALUATION_SHADER_BIT

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_MAX_VIEWPORTS

          static final int GL_MAX_VIEWPORTS

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_VIEWPORT_SUBPIXEL_BITS

          static final int GL_VIEWPORT_SUBPIXEL_BITS

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_VIEWPORT_BOUNDS_RANGE

          static final int GL_VIEWPORT_BOUNDS_RANGE

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_LAYER_PROVOKING_VERTEX

          static final int GL_LAYER_PROVOKING_VERTEX

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_VIEWPORT_INDEX_PROVOKING_VERTEX

          static final int GL_VIEWPORT_INDEX_PROVOKING_VERTEX

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_UNDEFINED_VERTEX

          static final int GL_UNDEFINED_VERTEX

      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_COMPRESSED_BLOCK_WIDTH

          static final int GL_UNPACK_COMPRESSED_BLOCK_WIDTH

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

          static final int GL_UNPACK_COMPRESSED_BLOCK_HEIGHT

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_COMPRESSED_BLOCK_DEPTH

          static final int GL_UNPACK_COMPRESSED_BLOCK_DEPTH

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_COMPRESSED_BLOCK_SIZE

          static final int GL_UNPACK_COMPRESSED_BLOCK_SIZE

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_PACK_COMPRESSED_BLOCK_WIDTH

          static final int GL_PACK_COMPRESSED_BLOCK_WIDTH

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_PACK_COMPRESSED_BLOCK_HEIGHT

          static final int GL_PACK_COMPRESSED_BLOCK_HEIGHT

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_PACK_COMPRESSED_BLOCK_DEPTH

          static final int GL_PACK_COMPRESSED_BLOCK_DEPTH

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_PACK_COMPRESSED_BLOCK_SIZE

          static final int GL_PACK_COMPRESSED_BLOCK_SIZE

      Part of `GL_VERSION_4_2`, `GL_ARB_compressed_texture_pixel_storage`
      See Also:
        Constant Field Values

    - #### GL_MIN_MAP_BUFFER_ALIGNMENT

          static final int GL_MIN_MAP_BUFFER_ALIGNMENT

      Part of `GL_VERSION_4_2`, `GL_ARB_map_buffer_alignment`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER

          static final int GL_ATOMIC_COUNTER_BUFFER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_BINDING

          static final int GL_ATOMIC_COUNTER_BUFFER_BINDING

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_START

          static final int GL_ATOMIC_COUNTER_BUFFER_START

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_SIZE

          static final int GL_ATOMIC_COUNTER_BUFFER_SIZE

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE

          static final int GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS

          static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES

          static final int GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_ATOMIC_COUNTERS

          static final int GL_MAX_VERTEX_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS

          static final int GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS

          static final int GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_ATOMIC_COUNTERS

          static final int GL_MAX_GEOMETRY_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_ATOMIC_COUNTERS

          static final int GL_MAX_FRAGMENT_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_ATOMIC_COUNTERS

          static final int GL_MAX_COMBINED_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE

          static final int GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS

          static final int GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_ATOMIC_COUNTER_BUFFERS

          static final int GL_ACTIVE_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX

          static final int GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_ATOMIC_COUNTER

          static final int GL_UNSIGNED_INT_ATOMIC_COUNTER

      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT

          static final int GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_ELEMENT_ARRAY_BARRIER_BIT

          static final int GL_ELEMENT_ARRAY_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BARRIER_BIT

          static final int GL_UNIFORM_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_FETCH_BARRIER_BIT

          static final int GL_TEXTURE_FETCH_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_SHADER_IMAGE_ACCESS_BARRIER_BIT

          static final int GL_SHADER_IMAGE_ACCESS_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_COMMAND_BARRIER_BIT

          static final int GL_COMMAND_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_PIXEL_BUFFER_BARRIER_BIT

          static final int GL_PIXEL_BUFFER_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_UPDATE_BARRIER_BIT

          static final int GL_TEXTURE_UPDATE_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_UPDATE_BARRIER_BIT

          static final int GL_BUFFER_UPDATE_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_BARRIER_BIT

          static final int GL_FRAMEBUFFER_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_BARRIER_BIT

          static final int GL_TRANSFORM_FEEDBACK_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BARRIER_BIT

          static final int GL_ATOMIC_COUNTER_BARRIER_BIT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_IMAGE_UNITS

          static final int GL_MAX_IMAGE_UNITS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS

          static final int GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_NAME

          static final int GL_IMAGE_BINDING_NAME

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_LEVEL

          static final int GL_IMAGE_BINDING_LEVEL

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_LAYERED

          static final int GL_IMAGE_BINDING_LAYERED

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_LAYER

          static final int GL_IMAGE_BINDING_LAYER

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_ACCESS

          static final int GL_IMAGE_BINDING_ACCESS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_1D

          static final int GL_IMAGE_1D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_2D

          static final int GL_IMAGE_2D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_3D

          static final int GL_IMAGE_3D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_2D_RECT

          static final int GL_IMAGE_2D_RECT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CUBE

          static final int GL_IMAGE_CUBE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BUFFER

          static final int GL_IMAGE_BUFFER

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_1D_ARRAY

          static final int GL_IMAGE_1D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_2D_ARRAY

          static final int GL_IMAGE_2D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CUBE_MAP_ARRAY

          static final int GL_IMAGE_CUBE_MAP_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_2D_MULTISAMPLE

          static final int GL_IMAGE_2D_MULTISAMPLE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_2D_MULTISAMPLE_ARRAY

          static final int GL_IMAGE_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_1D

          static final int GL_INT_IMAGE_1D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_2D

          static final int GL_INT_IMAGE_2D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_3D

          static final int GL_INT_IMAGE_3D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_2D_RECT

          static final int GL_INT_IMAGE_2D_RECT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_CUBE

          static final int GL_INT_IMAGE_CUBE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_BUFFER

          static final int GL_INT_IMAGE_BUFFER

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_1D_ARRAY

          static final int GL_INT_IMAGE_1D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_2D_ARRAY

          static final int GL_INT_IMAGE_2D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_CUBE_MAP_ARRAY

          static final int GL_INT_IMAGE_CUBE_MAP_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_2D_MULTISAMPLE

          static final int GL_INT_IMAGE_2D_MULTISAMPLE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY

          static final int GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_1D

          static final int GL_UNSIGNED_INT_IMAGE_1D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_2D

          static final int GL_UNSIGNED_INT_IMAGE_2D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_3D

          static final int GL_UNSIGNED_INT_IMAGE_3D

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_2D_RECT

          static final int GL_UNSIGNED_INT_IMAGE_2D_RECT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_CUBE

          static final int GL_UNSIGNED_INT_IMAGE_CUBE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_BUFFER

          static final int GL_UNSIGNED_INT_IMAGE_BUFFER

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_1D_ARRAY

          static final int GL_UNSIGNED_INT_IMAGE_1D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_2D_ARRAY

          static final int GL_UNSIGNED_INT_IMAGE_2D_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY

          static final int GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE

          static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY

          static final int GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_IMAGE_SAMPLES

          static final int GL_MAX_IMAGE_SAMPLES

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_BINDING_FORMAT

          static final int GL_IMAGE_BINDING_FORMAT

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_FORMAT_COMPATIBILITY_TYPE

          static final int GL_IMAGE_FORMAT_COMPATIBILITY_TYPE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE

          static final int GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS

          static final int GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_IMAGE_UNIFORMS

          static final int GL_MAX_VERTEX_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS

          static final int GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS

          static final int GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_IMAGE_UNIFORMS

          static final int GL_MAX_GEOMETRY_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_IMAGE_UNIFORMS

          static final int GL_MAX_FRAGMENT_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_IMAGE_UNIFORMS

          static final int GL_MAX_COMBINED_IMAGE_UNIFORMS

      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`
      See Also:
        Constant Field Values

    - #### GL_NUM_SHADING_LANGUAGE_VERSIONS

          static final int GL_NUM_SHADING_LANGUAGE_VERSIONS

      Part of `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_LONG

          static final int GL_VERTEX_ATTRIB_ARRAY_LONG

      Part of `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_SHADER

          static final int GL_COMPUTE_SHADER

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_UNIFORM_BLOCKS

          static final int GL_MAX_COMPUTE_UNIFORM_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_IMAGE_UNIFORMS

          static final int GL_MAX_COMPUTE_IMAGE_UNIFORMS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_SHARED_MEMORY_SIZE

          static final int GL_MAX_COMPUTE_SHARED_MEMORY_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_UNIFORM_COMPONENTS

          static final int GL_MAX_COMPUTE_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS

          static final int GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_ATOMIC_COUNTERS

          static final int GL_MAX_COMPUTE_ATOMIC_COUNTERS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS

          static final int GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_LOCAL_INVOCATIONS

          static final int GL_MAX_COMPUTE_LOCAL_INVOCATIONS

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_WORK_GROUP_COUNT

          static final int GL_MAX_COMPUTE_WORK_GROUP_COUNT

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_WORK_GROUP_SIZE

          static final int GL_MAX_COMPUTE_WORK_GROUP_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_LOCAL_WORK_SIZE

          static final int GL_COMPUTE_LOCAL_WORK_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER

          static final int GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER

          static final int GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_DISPATCH_INDIRECT_BUFFER

          static final int GL_DISPATCH_INDIRECT_BUFFER

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_DISPATCH_INDIRECT_BUFFER_BINDING

          static final int GL_DISPATCH_INDIRECT_BUFFER_BINDING

      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_PIPELINE

          static final int GL_PROGRAM_PIPELINE

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_MAX_UNIFORM_LOCATIONS

          static final int GL_MAX_UNIFORM_LOCATIONS

      Part of `GL_VERSION_4_3`, `GL_ARB_explicit_uniform_location`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT_WIDTH

          static final int GL_FRAMEBUFFER_DEFAULT_WIDTH

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT_HEIGHT

          static final int GL_FRAMEBUFFER_DEFAULT_HEIGHT

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT_LAYERS

          static final int GL_FRAMEBUFFER_DEFAULT_LAYERS

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT_SAMPLES

          static final int GL_FRAMEBUFFER_DEFAULT_SAMPLES

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS

          static final int GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAMEBUFFER_WIDTH

          static final int GL_MAX_FRAMEBUFFER_WIDTH

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAMEBUFFER_HEIGHT

          static final int GL_MAX_FRAMEBUFFER_HEIGHT

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAMEBUFFER_LAYERS

          static final int GL_MAX_FRAMEBUFFER_LAYERS

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAMEBUFFER_SAMPLES

          static final int GL_MAX_FRAMEBUFFER_SAMPLES

      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_SUPPORTED

          static final int GL_INTERNALFORMAT_SUPPORTED

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_PREFERRED

          static final int GL_INTERNALFORMAT_PREFERRED

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_RED_SIZE

          static final int GL_INTERNALFORMAT_RED_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_GREEN_SIZE

          static final int GL_INTERNALFORMAT_GREEN_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_BLUE_SIZE

          static final int GL_INTERNALFORMAT_BLUE_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_ALPHA_SIZE

          static final int GL_INTERNALFORMAT_ALPHA_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_DEPTH_SIZE

          static final int GL_INTERNALFORMAT_DEPTH_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_STENCIL_SIZE

          static final int GL_INTERNALFORMAT_STENCIL_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_SHARED_SIZE

          static final int GL_INTERNALFORMAT_SHARED_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_RED_TYPE

          static final int GL_INTERNALFORMAT_RED_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_GREEN_TYPE

          static final int GL_INTERNALFORMAT_GREEN_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_BLUE_TYPE

          static final int GL_INTERNALFORMAT_BLUE_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_ALPHA_TYPE

          static final int GL_INTERNALFORMAT_ALPHA_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_DEPTH_TYPE

          static final int GL_INTERNALFORMAT_DEPTH_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_INTERNALFORMAT_STENCIL_TYPE

          static final int GL_INTERNALFORMAT_STENCIL_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MAX_WIDTH

          static final int GL_MAX_WIDTH

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MAX_HEIGHT

          static final int GL_MAX_HEIGHT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEPTH

          static final int GL_MAX_DEPTH

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MAX_LAYERS

          static final int GL_MAX_LAYERS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_DIMENSIONS

          static final int GL_MAX_COMBINED_DIMENSIONS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_COLOR_COMPONENTS

          static final int GL_COLOR_COMPONENTS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENTS

          static final int GL_DEPTH_COMPONENTS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_COMPONENTS

          static final int GL_STENCIL_COMPONENTS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_COLOR_RENDERABLE

          static final int GL_COLOR_RENDERABLE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_RENDERABLE

          static final int GL_DEPTH_RENDERABLE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_RENDERABLE

          static final int GL_STENCIL_RENDERABLE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_RENDERABLE

          static final int GL_FRAMEBUFFER_RENDERABLE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_RENDERABLE_LAYERED

          static final int GL_FRAMEBUFFER_RENDERABLE_LAYERED

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_BLEND

          static final int GL_FRAMEBUFFER_BLEND

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_READ_PIXELS

          static final int GL_READ_PIXELS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_READ_PIXELS_FORMAT

          static final int GL_READ_PIXELS_FORMAT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_READ_PIXELS_TYPE

          static final int GL_READ_PIXELS_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_IMAGE_FORMAT

          static final int GL_TEXTURE_IMAGE_FORMAT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_IMAGE_TYPE

          static final int GL_TEXTURE_IMAGE_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_GET_TEXTURE_IMAGE_FORMAT

          static final int GL_GET_TEXTURE_IMAGE_FORMAT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_GET_TEXTURE_IMAGE_TYPE

          static final int GL_GET_TEXTURE_IMAGE_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MIPMAP

          static final int GL_MIPMAP

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_MANUAL_GENERATE_MIPMAP

          static final int GL_MANUAL_GENERATE_MIPMAP

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_AUTO_GENERATE_MIPMAP

          static final int GL_AUTO_GENERATE_MIPMAP

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ENCODING

          static final int GL_COLOR_ENCODING

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SRGB_READ

          static final int GL_SRGB_READ

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SRGB_WRITE

          static final int GL_SRGB_WRITE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FILTER

          static final int GL_FILTER

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_TEXTURE

          static final int GL_VERTEX_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_TEXTURE

          static final int GL_TESS_CONTROL_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TESS_EVALUATION_TEXTURE

          static final int GL_TESS_EVALUATION_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_TEXTURE

          static final int GL_GEOMETRY_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_TEXTURE

          static final int GL_FRAGMENT_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_TEXTURE

          static final int GL_COMPUTE_TEXTURE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_SHADOW

          static final int GL_TEXTURE_SHADOW

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_GATHER

          static final int GL_TEXTURE_GATHER

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_GATHER_SHADOW

          static final int GL_TEXTURE_GATHER_SHADOW

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SHADER_IMAGE_LOAD

          static final int GL_SHADER_IMAGE_LOAD

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SHADER_IMAGE_STORE

          static final int GL_SHADER_IMAGE_STORE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SHADER_IMAGE_ATOMIC

          static final int GL_SHADER_IMAGE_ATOMIC

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_TEXEL_SIZE

          static final int GL_IMAGE_TEXEL_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_COMPATIBILITY_CLASS

          static final int GL_IMAGE_COMPATIBILITY_CLASS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_PIXEL_FORMAT

          static final int GL_IMAGE_PIXEL_FORMAT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_PIXEL_TYPE

          static final int GL_IMAGE_PIXEL_TYPE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST

          static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST

          static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE

          static final int GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE

          static final int GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSED_BLOCK_WIDTH

          static final int GL_TEXTURE_COMPRESSED_BLOCK_WIDTH

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT

          static final int GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPRESSED_BLOCK_SIZE

          static final int GL_TEXTURE_COMPRESSED_BLOCK_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_CLEAR_BUFFER

          static final int GL_CLEAR_BUFFER

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_VIEW

          static final int GL_TEXTURE_VIEW

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_COMPATIBILITY_CLASS

          static final int GL_VIEW_COMPATIBILITY_CLASS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_FULL_SUPPORT

          static final int GL_FULL_SUPPORT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_CAVEAT_SUPPORT

          static final int GL_CAVEAT_SUPPORT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_4_X_32

          static final int GL_IMAGE_CLASS_4_X_32

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_2_X_32

          static final int GL_IMAGE_CLASS_2_X_32

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_1_X_32

          static final int GL_IMAGE_CLASS_1_X_32

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_4_X_16

          static final int GL_IMAGE_CLASS_4_X_16

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_2_X_16

          static final int GL_IMAGE_CLASS_2_X_16

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_1_X_16

          static final int GL_IMAGE_CLASS_1_X_16

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_4_X_8

          static final int GL_IMAGE_CLASS_4_X_8

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_2_X_8

          static final int GL_IMAGE_CLASS_2_X_8

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_1_X_8

          static final int GL_IMAGE_CLASS_1_X_8

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_11_11_10

          static final int GL_IMAGE_CLASS_11_11_10

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_IMAGE_CLASS_10_10_10_2

          static final int GL_IMAGE_CLASS_10_10_10_2

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_128_BITS

          static final int GL_VIEW_CLASS_128_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_96_BITS

          static final int GL_VIEW_CLASS_96_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_64_BITS

          static final int GL_VIEW_CLASS_64_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_48_BITS

          static final int GL_VIEW_CLASS_48_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_32_BITS

          static final int GL_VIEW_CLASS_32_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_24_BITS

          static final int GL_VIEW_CLASS_24_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_16_BITS

          static final int GL_VIEW_CLASS_16_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_8_BITS

          static final int GL_VIEW_CLASS_8_BITS

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_S3TC_DXT1_RGB

          static final int GL_VIEW_CLASS_S3TC_DXT1_RGB

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_S3TC_DXT1_RGBA

          static final int GL_VIEW_CLASS_S3TC_DXT1_RGBA

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_S3TC_DXT3_RGBA

          static final int GL_VIEW_CLASS_S3TC_DXT3_RGBA

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_S3TC_DXT5_RGBA

          static final int GL_VIEW_CLASS_S3TC_DXT5_RGBA

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_RGTC1_RED

          static final int GL_VIEW_CLASS_RGTC1_RED

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_RGTC2_RG

          static final int GL_VIEW_CLASS_RGTC2_RG

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_BPTC_UNORM

          static final int GL_VIEW_CLASS_BPTC_UNORM

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_VIEW_CLASS_BPTC_FLOAT

          static final int GL_VIEW_CLASS_BPTC_FLOAT

      Part of `GL_VERSION_4_3`, `GL_ARB_internalformat_query2`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM

          static final int GL_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_UNIFORM_BLOCK

          static final int GL_UNIFORM_BLOCK

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_INPUT

          static final int GL_PROGRAM_INPUT

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_OUTPUT

          static final int GL_PROGRAM_OUTPUT

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_VARIABLE

          static final int GL_BUFFER_VARIABLE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BLOCK

          static final int GL_SHADER_STORAGE_BLOCK

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_SUBROUTINE

          static final int GL_VERTEX_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_SUBROUTINE

          static final int GL_TESS_CONTROL_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TESS_EVALUATION_SUBROUTINE

          static final int GL_TESS_EVALUATION_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SUBROUTINE

          static final int GL_GEOMETRY_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SUBROUTINE

          static final int GL_FRAGMENT_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_SUBROUTINE

          static final int GL_COMPUTE_SUBROUTINE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_SUBROUTINE_UNIFORM

          static final int GL_VERTEX_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TESS_CONTROL_SUBROUTINE_UNIFORM

          static final int GL_TESS_CONTROL_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TESS_EVALUATION_SUBROUTINE_UNIFORM

          static final int GL_TESS_EVALUATION_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_GEOMETRY_SUBROUTINE_UNIFORM

          static final int GL_GEOMETRY_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SUBROUTINE_UNIFORM

          static final int GL_FRAGMENT_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_COMPUTE_SUBROUTINE_UNIFORM

          static final int GL_COMPUTE_SUBROUTINE_UNIFORM

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TRANSFORM_FEEDBACK_VARYING

          static final int GL_TRANSFORM_FEEDBACK_VARYING

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_RESOURCES

          static final int GL_ACTIVE_RESOURCES

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_NAME_LENGTH

          static final int GL_MAX_NAME_LENGTH

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_NUM_ACTIVE_VARIABLES

          static final int GL_MAX_NUM_ACTIVE_VARIABLES

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MAX_NUM_COMPATIBLE_SUBROUTINES

          static final int GL_MAX_NUM_COMPATIBLE_SUBROUTINES

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_NAME_LENGTH

          static final int GL_NAME_LENGTH

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TYPE

          static final int GL_TYPE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_ARRAY_SIZE

          static final int GL_ARRAY_SIZE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_OFFSET

          static final int GL_OFFSET

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_BLOCK_INDEX

          static final int GL_BLOCK_INDEX

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_ARRAY_STRIDE

          static final int GL_ARRAY_STRIDE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_MATRIX_STRIDE

          static final int GL_MATRIX_STRIDE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_IS_ROW_MAJOR

          static final int GL_IS_ROW_MAJOR

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_ATOMIC_COUNTER_BUFFER_INDEX

          static final int GL_ATOMIC_COUNTER_BUFFER_INDEX

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_BINDING

          static final int GL_BUFFER_BINDING

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_BUFFER_DATA_SIZE

          static final int GL_BUFFER_DATA_SIZE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_NUM_ACTIVE_VARIABLES

          static final int GL_NUM_ACTIVE_VARIABLES

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_VARIABLES

          static final int GL_ACTIVE_VARIABLES

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_VERTEX_SHADER

          static final int GL_REFERENCED_BY_VERTEX_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_TESS_CONTROL_SHADER

          static final int GL_REFERENCED_BY_TESS_CONTROL_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_TESS_EVALUATION_SHADER

          static final int GL_REFERENCED_BY_TESS_EVALUATION_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_GEOMETRY_SHADER

          static final int GL_REFERENCED_BY_GEOMETRY_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_FRAGMENT_SHADER

          static final int GL_REFERENCED_BY_FRAGMENT_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_REFERENCED_BY_COMPUTE_SHADER

          static final int GL_REFERENCED_BY_COMPUTE_SHADER

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TOP_LEVEL_ARRAY_SIZE

          static final int GL_TOP_LEVEL_ARRAY_SIZE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TOP_LEVEL_ARRAY_STRIDE

          static final int GL_TOP_LEVEL_ARRAY_STRIDE

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_LOCATION

          static final int GL_LOCATION

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_LOCATION_INDEX

          static final int GL_LOCATION_INDEX

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_IS_PER_PATCH

          static final int GL_IS_PER_PATCH

      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BUFFER

          static final int GL_SHADER_STORAGE_BUFFER

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BUFFER_BINDING

          static final int GL_SHADER_STORAGE_BUFFER_BINDING

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BUFFER_START

          static final int GL_SHADER_STORAGE_BUFFER_START

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BUFFER_SIZE

          static final int GL_SHADER_STORAGE_BUFFER_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS

          static final int GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS

          static final int GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_SHADER_STORAGE_BLOCK_SIZE

          static final int GL_MAX_SHADER_STORAGE_BLOCK_SIZE

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT

          static final int GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_SHADER_STORAGE_BARRIER_BIT

          static final int GL_SHADER_STORAGE_BARRIER_BIT

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES

          static final int GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES

      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_STENCIL_TEXTURE_MODE

          static final int GL_DEPTH_STENCIL_TEXTURE_MODE

      Part of `GL_VERSION_4_3`, `GL_ARB_stencil_texturing`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BUFFER_OFFSET

          static final int GL_TEXTURE_BUFFER_OFFSET

      Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BUFFER_SIZE

          static final int GL_TEXTURE_BUFFER_SIZE

      Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT

          static final int GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT

      Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_VIEW_MIN_LEVEL

          static final int GL_TEXTURE_VIEW_MIN_LEVEL

      Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_VIEW_NUM_LEVELS

          static final int GL_TEXTURE_VIEW_NUM_LEVELS

      Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_VIEW_MIN_LAYER

          static final int GL_TEXTURE_VIEW_MIN_LAYER

      Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_VIEW_NUM_LAYERS

          static final int GL_TEXTURE_VIEW_NUM_LAYERS

      Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_BINDING

          static final int GL_VERTEX_ATTRIB_BINDING

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_RELATIVE_OFFSET

          static final int GL_VERTEX_ATTRIB_RELATIVE_OFFSET

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_BINDING_DIVISOR

          static final int GL_VERTEX_BINDING_DIVISOR

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_BINDING_OFFSET

          static final int GL_VERTEX_BINDING_OFFSET

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_BINDING_STRIDE

          static final int GL_VERTEX_BINDING_STRIDE

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET

          static final int GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_ATTRIB_BINDINGS

          static final int GL_MAX_VERTEX_ATTRIB_BINDINGS

      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glActiveShaderProgram

          void glActiveShaderProgram(int pipeline,
                                   int program)

      Entry point to C language function: `void glActiveShaderProgram(GLuint pipeline, GLuint program)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glBeginQueryIndexed

          void glBeginQueryIndexed(int target,
                                 int index,
                                 int id)

      Entry point to C language function: `void glBeginQueryIndexed(GLenum target, GLuint index, GLuint id)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`

    - #### glBindImageTexture

          void glBindImageTexture(int unit,
                                int texture,
                                int level,
                                boolean layered,
                                int layer,
                                int access,
                                int format)

      Entry point to C language function: `void glBindImageTexture(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)`
      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`

    - #### glBindProgramPipeline

          void glBindProgramPipeline(int pipeline)

      Entry point to C language function: `void glBindProgramPipeline(GLuint pipeline)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glBindVertexBuffer

          void glBindVertexBuffer(int bindingindex,
                                int buffer,
                                long offset,
                                int stride)

      Entry point to C language function: `void glBindVertexBuffer(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glBlendEquationSeparatei

          void glBlendEquationSeparatei(int buf,
                                      int modeRGB,
                                      int modeAlpha)

      Entry point to C language function: `void glBlendEquationSeparatei(GLuint buf, GLenum modeRGB, GLenum modeAlpha)`
      Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`

    - #### glBlendEquationi

          void glBlendEquationi(int buf,
                              int mode)

      Entry point to C language function: `void glBlendEquationi(GLuint buf, GLenum mode)`
      Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`

    - #### glBlendFuncSeparatei

          void glBlendFuncSeparatei(int buf,
                                  int srcRGB,
                                  int dstRGB,
                                  int srcAlpha,
                                  int dstAlpha)

      Entry point to C language function: `void glBlendFuncSeparatei(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)`
      Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`

    - #### glBlendFunci

          void glBlendFunci(int buf,
                          int src,
                          int dst)

      Entry point to C language function: `void glBlendFunci(GLuint buf, GLenum src, GLenum dst)`
      Part of `GL_VERSION_4_0`; `GL_ARB_draw_buffers_blend`

    - #### glClearBufferData

          void glClearBufferData(int target,
                               int internalformat,
                               int format,
                               int type,
                               Buffer data)

      Entry point to C language function: `void glClearBufferData(GLenum target, GLenum internalformat, GLenum format, GLenum type, const void * data)`
      Part of `GL_VERSION_4_3`, `GL_ARB_clear_buffer_object`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glClearBufferSubData

          void glClearBufferSubData(int target,
                                  int internalformat,
                                  long offset,
                                  long size,
                                  int format,
                                  int type,
                                  Buffer data)

      Entry point to C language function: `void glClearBufferSubData(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const void * data)`
      Part of `GL_VERSION_4_3`, `GL_ARB_clear_buffer_object`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCopyImageSubData

          void glCopyImageSubData(int srcName,
                                int srcTarget,
                                int srcLevel,
                                int srcX,
                                int srcY,
                                int srcZ,
                                int dstName,
                                int dstTarget,
                                int dstLevel,
                                int dstX,
                                int dstY,
                                int dstZ,
                                int srcWidth,
                                int srcHeight,
                                int srcDepth)

      Entry point to C language function: `void glCopyImageSubData(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)`
      Part of `GL_ARB_copy_image`, `GL_VERSION_4_3`

    - #### glCreateShaderProgramv

          int glCreateShaderProgramv(int type,
                                   int count,
                                   String[] strings)

      Entry point to C language function: `GLuint glCreateShaderProgramv(GLenum type, GLsizei count, const GLchar * const * strings)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glDeleteProgramPipelines

          void glDeleteProgramPipelines(int n,
                                      IntBuffer pipelines)

      Entry point to C language function: `void glDeleteProgramPipelines(GLsizei n, const GLuint * pipelines)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      Parameters:
        `pipelines` - a direct or array-backed `IntBuffer`

    - #### glDeleteProgramPipelines

          void glDeleteProgramPipelines(int n,
                                      int[] pipelines,
                                      int pipelines_offset)

      Entry point to C language function: `void glDeleteProgramPipelines(GLsizei n, const GLuint * pipelines)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glDepthRangeArrayv

          void glDepthRangeArrayv(int first,
                                int count,
                                DoubleBuffer v)

      Entry point to C language function: `void glDepthRangeArrayv(GLuint first, GLsizei count, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glDepthRangeArrayv

          void glDepthRangeArrayv(int first,
                                int count,
                                double[] v,
                                int v_offset)

      Entry point to C language function: `void glDepthRangeArrayv(GLuint first, GLsizei count, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glDepthRangeIndexed

          void glDepthRangeIndexed(int index,
                                 double n,
                                 double f)

      Entry point to C language function: `void glDepthRangeIndexed(GLuint index, GLdouble n, GLdouble f)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glDispatchCompute

          void glDispatchCompute(int num_groups_x,
                               int num_groups_y,
                               int num_groups_z)

      Entry point to C language function: `void glDispatchCompute(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)`
      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`

    - #### glDispatchComputeIndirect

          void glDispatchComputeIndirect(long indirect)

      Entry point to C language function: `void glDispatchComputeIndirect(GLintptr indirect)`
      Part of `GL_VERSION_4_3`, `GL_ARB_compute_shader`

    - #### glDrawArraysIndirect

          void glDrawArraysIndirect(int mode,
                                  long indirect_buffer_offset)

      Entry point to C language function: `void glDrawArraysIndirect(GLenum mode, const GLvoid * indirect)`
      Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`

    - #### glDrawArraysInstancedBaseInstance

          void glDrawArraysInstancedBaseInstance(int mode,
                                               int first,
                                               int count,
                                               int instancecount,
                                               int baseinstance)

      Entry point to C language function: `void glDrawArraysInstancedBaseInstance(GLenum mode, GLint first, GLsizei count, GLsizei instancecount, GLuint baseinstance)`
      Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`

    - #### glDrawElementsIndirect

          void glDrawElementsIndirect(int mode,
                                    int type,
                                    long indirect_buffer_offset)

      Entry point to C language function: `void glDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid * indirect)`
      Part of `GL_VERSION_4_0`, `GL_ARB_draw_indirect`

    - #### glDrawElementsInstancedBaseInstance

          void glDrawElementsInstancedBaseInstance(int mode,
                                                 int count,
                                                 int type,
                                                 long indices_buffer_offset,
                                                 int instancecount,
                                                 int baseinstance)

      Entry point to C language function: `void glDrawElementsInstancedBaseInstance(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLuint baseinstance)`
      Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`

    - #### glDrawElementsInstancedBaseVertexBaseInstance

          void glDrawElementsInstancedBaseVertexBaseInstance(int mode,
                                                           int count,
                                                           int type,
                                                           long indices_buffer_offset,
                                                           int instancecount,
                                                           int basevertex,
                                                           int baseinstance)

      Entry point to C language function: `void glDrawElementsInstancedBaseVertexBaseInstance(GLenum mode, GLsizei count, GLenum type, const void * indices, GLsizei instancecount, GLint basevertex, GLuint baseinstance)`
      Part of `GL_VERSION_4_2`, `GL_ARB_base_instance`

    - #### glDrawTransformFeedback

          void glDrawTransformFeedback(int mode,
                                     int id)

      Entry point to C language function: `void glDrawTransformFeedback(GLenum mode, GLuint id)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback2`

    - #### glDrawTransformFeedbackInstanced

          void glDrawTransformFeedbackInstanced(int mode,
                                              int id,
                                              int instancecount)

      Entry point to C language function: `void glDrawTransformFeedbackInstanced(GLenum mode, GLuint id, GLsizei instancecount)`
      Part of `GL_VERSION_4_2`, `GL_ARB_transform_feedback_instanced`

    - #### glDrawTransformFeedbackStream

          void glDrawTransformFeedbackStream(int mode,
                                           int id,
                                           int stream)

      Entry point to C language function: `void glDrawTransformFeedbackStream(GLenum mode, GLuint id, GLuint stream)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`

    - #### glDrawTransformFeedbackStreamInstanced

          void glDrawTransformFeedbackStreamInstanced(int mode,
                                                    int id,
                                                    int stream,
                                                    int instancecount)

      Entry point to C language function: `void glDrawTransformFeedbackStreamInstanced(GLenum mode, GLuint id, GLuint stream, GLsizei instancecount)`
      Part of `GL_VERSION_4_2`, `GL_ARB_transform_feedback_instanced`

    - #### glEndQueryIndexed

          void glEndQueryIndexed(int target,
                               int index)

      Entry point to C language function: `void glEndQueryIndexed(GLenum target, GLuint index)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`

    - #### glFramebufferParameteri

          void glFramebufferParameteri(int target,
                                     int pname,
                                     int param)

      Entry point to C language function: `void glFramebufferParameteri(GLenum target, GLenum pname, GLint param)`
      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`

    - #### glGenProgramPipelines

          void glGenProgramPipelines(int n,
                                   IntBuffer pipelines)

      Entry point to C language function: `void glGenProgramPipelines(GLsizei n, GLuint * pipelines)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      Parameters:
        `pipelines` - a direct or array-backed `IntBuffer`

    - #### glGenProgramPipelines

          void glGenProgramPipelines(int n,
                                   int[] pipelines,
                                   int pipelines_offset)

      Entry point to C language function: `void glGenProgramPipelines(GLsizei n, GLuint * pipelines)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glGetActiveAtomicCounterBufferiv

          void glGetActiveAtomicCounterBufferiv(int program,
                                              int bufferIndex,
                                              int pname,
                                              IntBuffer params)

      Entry point to C language function: `void glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetActiveAtomicCounterBufferiv

          void glGetActiveAtomicCounterBufferiv(int program,
                                              int bufferIndex,
                                              int pname,
                                              int[] params,
                                              int params_offset)

      Entry point to C language function: `void glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_2`, `GL_ARB_shader_atomic_counters`

    - #### glGetActiveSubroutineName

          void glGetActiveSubroutineName(int program,
                                       int shadertype,
                                       int index,
                                       int bufsize,
                                       IntBuffer length,
                                       ByteBuffer name)

      Entry point to C language function: `void glGetActiveSubroutineName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveSubroutineName

          void glGetActiveSubroutineName(int program,
                                       int shadertype,
                                       int index,
                                       int bufsize,
                                       int[] length,
                                       int length_offset,
                                       byte[] name,
                                       int name_offset)

      Entry point to C language function: `void glGetActiveSubroutineName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetActiveSubroutineUniformName

          void glGetActiveSubroutineUniformName(int program,
                                              int shadertype,
                                              int index,
                                              int bufsize,
                                              IntBuffer length,
                                              ByteBuffer name)

      Entry point to C language function: `void glGetActiveSubroutineUniformName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveSubroutineUniformName

          void glGetActiveSubroutineUniformName(int program,
                                              int shadertype,
                                              int index,
                                              int bufsize,
                                              int[] length,
                                              int length_offset,
                                              byte[] name,
                                              int name_offset)

      Entry point to C language function: `void glGetActiveSubroutineUniformName(GLuint program, GLenum shadertype, GLuint index, GLsizei bufsize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetActiveSubroutineUniformiv

          void glGetActiveSubroutineUniformiv(int program,
                                            int shadertype,
                                            int index,
                                            int pname,
                                            IntBuffer values)

      Entry point to C language function: `void glGetActiveSubroutineUniformiv(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `values` - a direct or array-backed `IntBuffer`

    - #### glGetActiveSubroutineUniformiv

          void glGetActiveSubroutineUniformiv(int program,
                                            int shadertype,
                                            int index,
                                            int pname,
                                            int[] values,
                                            int values_offset)

      Entry point to C language function: `void glGetActiveSubroutineUniformiv(GLuint program, GLenum shadertype, GLuint index, GLenum pname, GLint * values)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetDoublei_v

          void glGetDoublei_v(int target,
                            int index,
                            DoubleBuffer data)

      Entry point to C language function: `void glGetDoublei_v(GLenum target, GLuint index, GLdouble * data)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `data` - a direct or array-backed `DoubleBuffer`

    - #### glGetDoublei_v

          void glGetDoublei_v(int target,
                            int index,
                            double[] data,
                            int data_offset)

      Entry point to C language function: `void glGetDoublei_v(GLenum target, GLuint index, GLdouble * data)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glGetFloati_v

          void glGetFloati_v(int target,
                           int index,
                           FloatBuffer data)

      Entry point to C language function: `void glGetFloati_v(GLenum target, GLuint index, GLfloat * data)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `data` - a direct or array-backed `FloatBuffer`

    - #### glGetFloati_v

          void glGetFloati_v(int target,
                           int index,
                           float[] data,
                           int data_offset)

      Entry point to C language function: `void glGetFloati_v(GLenum target, GLuint index, GLfloat * data)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glGetFramebufferParameteriv

          void glGetFramebufferParameteriv(int target,
                                         int pname,
                                         IntBuffer params)

      Entry point to C language function: `void glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetFramebufferParameteriv

          void glGetFramebufferParameteriv(int target,
                                         int pname,
                                         int[] params,
                                         int params_offset)

      Entry point to C language function: `void glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ARB_framebuffer_no_attachments`, `GL_VERSION_4_3`

    - #### glGetInternalformati64v

          void glGetInternalformati64v(int target,
                                     int internalformat,
                                     int pname,
                                     int bufSize,
                                     LongBuffer params)

      Entry point to C language function: `void glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)`
      Part of `GL_ARB_internalformat_query2`, `GL_VERSION_4_2`
      Parameters:
        `params` - a direct or array-backed `LongBuffer`

    - #### glGetInternalformati64v

          void glGetInternalformati64v(int target,
                                     int internalformat,
                                     int pname,
                                     int bufSize,
                                     long[] params,
                                     int params_offset)

      Entry point to C language function: `void glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 * params)`
      Part of `GL_ARB_internalformat_query2`, `GL_VERSION_4_2`

    - #### glGetProgramInterfaceiv

          void glGetProgramInterfaceiv(int program,
                                     int programInterface,
                                     int pname,
                                     IntBuffer params)

      Entry point to C language function: `void glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint * params)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetProgramInterfaceiv

          void glGetProgramInterfaceiv(int program,
                                     int programInterface,
                                     int pname,
                                     int[] params,
                                     int params_offset)

      Entry point to C language function: `void glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint * params)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramPipelineInfoLog

          void glGetProgramPipelineInfoLog(int pipeline,
                                         int bufSize,
                                         IntBuffer length,
                                         ByteBuffer infoLog)

      Entry point to C language function: `void glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `infoLog` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramPipelineInfoLog

          void glGetProgramPipelineInfoLog(int pipeline,
                                         int bufSize,
                                         int[] length,
                                         int length_offset,
                                         byte[] infoLog,
                                         int infoLog_offset)

      Entry point to C language function: `void glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei * length, GLchar * infoLog)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glGetProgramPipelineiv

          void glGetProgramPipelineiv(int pipeline,
                                    int pname,
                                    IntBuffer params)

      Entry point to C language function: `void glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetProgramPipelineiv

          void glGetProgramPipelineiv(int pipeline,
                                    int pname,
                                    int[] params,
                                    int params_offset)

      Entry point to C language function: `void glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glGetProgramResourceIndex

          int glGetProgramResourceIndex(int program,
                                      int programInterface,
                                      ByteBuffer name)

      Entry point to C language function: `GLuint glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramResourceIndex

          int glGetProgramResourceIndex(int program,
                                      int programInterface,
                                      byte[] name,
                                      int name_offset)

      Entry point to C language function: `GLuint glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramResourceLocation

          int glGetProgramResourceLocation(int program,
                                         int programInterface,
                                         ByteBuffer name)

      Entry point to C language function: `GLint glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramResourceLocation

          int glGetProgramResourceLocation(int program,
                                         int programInterface,
                                         byte[] name,
                                         int name_offset)

      Entry point to C language function: `GLint glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramResourceLocationIndex

          int glGetProgramResourceLocationIndex(int program,
                                              int programInterface,
                                              ByteBuffer name)

      Entry point to C language function: `GLint glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramResourceLocationIndex

          int glGetProgramResourceLocationIndex(int program,
                                              int programInterface,
                                              byte[] name,
                                              int name_offset)

      Entry point to C language function: `GLint glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramResourceName

          void glGetProgramResourceName(int program,
                                      int programInterface,
                                      int index,
                                      int bufSize,
                                      IntBuffer length,
                                      ByteBuffer name)

      Entry point to C language function: `void glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramResourceName

          void glGetProgramResourceName(int program,
                                      int programInterface,
                                      int index,
                                      int bufSize,
                                      int[] length,
                                      int length_offset,
                                      byte[] name,
                                      int name_offset)

      Entry point to C language function: `void glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei * length, GLchar * name)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramResourceiv

          void glGetProgramResourceiv(int program,
                                    int programInterface,
                                    int index,
                                    int propCount,
                                    IntBuffer props,
                                    int bufSize,
                                    IntBuffer length,
                                    IntBuffer params)

      Entry point to C language function: `void glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`
      Parameters:
        `props` - a direct or array-backed `IntBuffer`
        `length` - a direct or array-backed `IntBuffer`
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetProgramResourceiv

          void glGetProgramResourceiv(int program,
                                    int programInterface,
                                    int index,
                                    int propCount,
                                    int[] props,
                                    int props_offset,
                                    int bufSize,
                                    int[] length,
                                    int length_offset,
                                    int[] params,
                                    int params_offset)

      Entry point to C language function: `void glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum * props, GLsizei bufSize, GLsizei * length, GLint * params)`
      Part of `GL_ARB_program_interface_query`, `GL_VERSION_4_3`

    - #### glGetProgramStageiv

          void glGetProgramStageiv(int program,
                                 int shadertype,
                                 int pname,
                                 IntBuffer values)

      Entry point to C language function: `void glGetProgramStageiv(GLuint program, GLenum shadertype, GLenum pname, GLint * values)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `values` - a direct or array-backed `IntBuffer`

    - #### glGetProgramStageiv

          void glGetProgramStageiv(int program,
                                 int shadertype,
                                 int pname,
                                 int[] values,
                                 int values_offset)

      Entry point to C language function: `void glGetProgramStageiv(GLuint program, GLenum shadertype, GLenum pname, GLint * values)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetQueryIndexediv

          void glGetQueryIndexediv(int target,
                                 int index,
                                 int pname,
                                 IntBuffer params)

      Entry point to C language function: `void glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetQueryIndexediv

          void glGetQueryIndexediv(int target,
                                 int index,
                                 int pname,
                                 int[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint * params)`
      Part of `GL_VERSION_4_0`, `GL_ARB_transform_feedback3`

    - #### glGetSubroutineIndex

          int glGetSubroutineIndex(int program,
                                 int shadertype,
                                 String name)

      Entry point to C language function: `GLuint glGetSubroutineIndex(GLuint program, GLenum shadertype, const GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetSubroutineUniformLocation

          int glGetSubroutineUniformLocation(int program,
                                           int shadertype,
                                           String name)

      Entry point to C language function: `GLint glGetSubroutineUniformLocation(GLuint program, GLenum shadertype, const GLchar * name)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetUniformSubroutineuiv

          void glGetUniformSubroutineuiv(int shadertype,
                                       int location,
                                       IntBuffer params)

      Entry point to C language function: `void glGetUniformSubroutineuiv(GLenum shadertype, GLint location, GLuint * params)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetUniformSubroutineuiv

          void glGetUniformSubroutineuiv(int shadertype,
                                       int location,
                                       int[] params,
                                       int params_offset)

      Entry point to C language function: `void glGetUniformSubroutineuiv(GLenum shadertype, GLint location, GLuint * params)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glGetUniformdv

          void glGetUniformdv(int program,
                            int location,
                            DoubleBuffer params)

      Entry point to C language function: `void glGetUniformdv(GLuint program, GLint location, GLdouble * params)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `params` - a direct or array-backed `DoubleBuffer`

    - #### glGetUniformdv

          void glGetUniformdv(int program,
                            int location,
                            double[] params,
                            int params_offset)

      Entry point to C language function: `void glGetUniformdv(GLuint program, GLint location, GLdouble * params)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glGetVertexAttribLdv

          void glGetVertexAttribLdv(int index,
                                  int pname,
                                  DoubleBuffer params)

      Entry point to C language function: `void glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
      Parameters:
        `params` - a direct or array-backed `DoubleBuffer`

    - #### glGetVertexAttribLdv

          void glGetVertexAttribLdv(int index,
                                  int pname,
                                  double[] params,
                                  int params_offset)

      Entry point to C language function: `void glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble * params)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glInvalidateBufferData

          void glInvalidateBufferData(int buffer)

      Entry point to C language function: `void glInvalidateBufferData(GLuint buffer)`
      Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`

    - #### glInvalidateBufferSubData

          void glInvalidateBufferSubData(int buffer,
                                       long offset,
                                       long length)

      Entry point to C language function: `void glInvalidateBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr length)`
      Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`

    - #### glInvalidateTexImage

          void glInvalidateTexImage(int texture,
                                  int level)

      Entry point to C language function: `void glInvalidateTexImage(GLuint texture, GLint level)`
      Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`

    - #### glInvalidateTexSubImage

          void glInvalidateTexSubImage(int texture,
                                     int level,
                                     int xoffset,
                                     int yoffset,
                                     int zoffset,
                                     int width,
                                     int height,
                                     int depth)

      Entry point to C language function: `void glInvalidateTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)`
      Part of `GL_ARB_invalidate_subdata`, `GL_VERSION_4_3`

    - #### glIsProgramPipeline

          boolean glIsProgramPipeline(int pipeline)

      Entry point to C language function: `GLboolean glIsProgramPipeline(GLuint pipeline)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glMemoryBarrier

          void glMemoryBarrier(int barriers)

      Entry point to C language function: `void glMemoryBarrier(GLbitfield barriers)`
      Part of `GL_ARB_shader_image_load_store`, `GL_VERSION_4_2`

    - #### glMinSampleShading

          void glMinSampleShading(float value)

      Entry point to C language function: `void glMinSampleShading(GLfloat value)`
      Part of `GL_VERSION_4_0`; `GL_ARB_sample_shading`

    - #### glMultiDrawArraysIndirect

          void glMultiDrawArraysIndirect(int mode,
                                       long indirect_buffer_offset,
                                       int drawcount,
                                       int stride)

      Entry point to C language function: `void glMultiDrawArraysIndirect(GLenum mode, const void * indirect, GLsizei drawcount, GLsizei stride)`
      Part of `GL_VERSION_4_3`, `GL_ARB_multi_draw_indirect`

    - #### glMultiDrawElementsIndirect

          void glMultiDrawElementsIndirect(int mode,
                                         int type,
                                         Buffer indirect,
                                         int drawcount,
                                         int stride)

      Entry point to C language function: `void glMultiDrawElementsIndirect(GLenum mode, GLenum type, const void * indirect, GLsizei drawcount, GLsizei stride)`
      Part of `GL_VERSION_4_3`, `GL_ARB_multi_draw_indirect`
      Parameters:
        `indirect` - a direct or array-backed `Buffer`

    - #### glPatchParameterfv

          void glPatchParameterfv(int pname,
                                FloatBuffer values)

      Entry point to C language function: `void glPatchParameterfv(GLenum pname, const GLfloat * values)`
      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`
      Parameters:
        `values` - a direct or array-backed `FloatBuffer`

    - #### glPatchParameterfv

          void glPatchParameterfv(int pname,
                                float[] values,
                                int values_offset)

      Entry point to C language function: `void glPatchParameterfv(GLenum pname, const GLfloat * values)`
      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`

    - #### glPatchParameteri

          void glPatchParameteri(int pname,
                               int value)

      Entry point to C language function: `void glPatchParameteri(GLenum pname, GLint value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_tessellation_shader`

    - #### glProgramUniform1d

          void glProgramUniform1d(int program,
                                int location,
                                double v0)

      Entry point to C language function: `void glProgramUniform1d(GLuint program, GLint location, GLdouble v0)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform1dv

          void glProgramUniform1dv(int program,
                                 int location,
                                 int count,
                                 DoubleBuffer value)

      Entry point to C language function: `void glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniform1dv

          void glProgramUniform1dv(int program,
                                 int location,
                                 int count,
                                 double[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform1f

          void glProgramUniform1f(int program,
                                int location,
                                float v0)

      Entry point to C language function: `void glProgramUniform1f(GLuint program, GLint location, GLfloat v0)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform1fv

          void glProgramUniform1fv(int program,
                                 int location,
                                 int count,
                                 FloatBuffer value)

      Entry point to C language function: `void glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniform1fv

          void glProgramUniform1fv(int program,
                                 int location,
                                 int count,
                                 float[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform1i

          void glProgramUniform1i(int program,
                                int location,
                                int v0)

      Entry point to C language function: `void glProgramUniform1i(GLuint program, GLint location, GLint v0)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform1iv

          void glProgramUniform1iv(int program,
                                 int location,
                                 int count,
                                 IntBuffer value)

      Entry point to C language function: `void glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform1iv

          void glProgramUniform1iv(int program,
                                 int location,
                                 int count,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform1ui

          void glProgramUniform1ui(int program,
                                 int location,
                                 int v0)

      Entry point to C language function: `void glProgramUniform1ui(GLuint program, GLint location, GLuint v0)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform1uiv

          void glProgramUniform1uiv(int program,
                                  int location,
                                  int count,
                                  IntBuffer value)

      Entry point to C language function: `void glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform1uiv

          void glProgramUniform1uiv(int program,
                                  int location,
                                  int count,
                                  int[] value,
                                  int value_offset)

      Entry point to C language function: `void glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform2d

          void glProgramUniform2d(int program,
                                int location,
                                double v0,
                                double v1)

      Entry point to C language function: `void glProgramUniform2d(GLuint program, GLint location, GLdouble v0, GLdouble v1)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform2dv

          void glProgramUniform2dv(int program,
                                 int location,
                                 int count,
                                 DoubleBuffer value)

      Entry point to C language function: `void glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniform2dv

          void glProgramUniform2dv(int program,
                                 int location,
                                 int count,
                                 double[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform2f

          void glProgramUniform2f(int program,
                                int location,
                                float v0,
                                float v1)

      Entry point to C language function: `void glProgramUniform2f(GLuint program, GLint location, GLfloat v0, GLfloat v1)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform2fv

          void glProgramUniform2fv(int program,
                                 int location,
                                 int count,
                                 FloatBuffer value)

      Entry point to C language function: `void glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniform2fv

          void glProgramUniform2fv(int program,
                                 int location,
                                 int count,
                                 float[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform2i

          void glProgramUniform2i(int program,
                                int location,
                                int v0,
                                int v1)

      Entry point to C language function: `void glProgramUniform2i(GLuint program, GLint location, GLint v0, GLint v1)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform2iv

          void glProgramUniform2iv(int program,
                                 int location,
                                 int count,
                                 IntBuffer value)

      Entry point to C language function: `void glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform2iv

          void glProgramUniform2iv(int program,
                                 int location,
                                 int count,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform2ui

          void glProgramUniform2ui(int program,
                                 int location,
                                 int v0,
                                 int v1)

      Entry point to C language function: `void glProgramUniform2ui(GLuint program, GLint location, GLuint v0, GLuint v1)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform2uiv

          void glProgramUniform2uiv(int program,
                                  int location,
                                  int count,
                                  IntBuffer value)

      Entry point to C language function: `void glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform2uiv

          void glProgramUniform2uiv(int program,
                                  int location,
                                  int count,
                                  int[] value,
                                  int value_offset)

      Entry point to C language function: `void glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform3d

          void glProgramUniform3d(int program,
                                int location,
                                double v0,
                                double v1,
                                double v2)

      Entry point to C language function: `void glProgramUniform3d(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform3dv

          void glProgramUniform3dv(int program,
                                 int location,
                                 int count,
                                 DoubleBuffer value)

      Entry point to C language function: `void glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniform3dv

          void glProgramUniform3dv(int program,
                                 int location,
                                 int count,
                                 double[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform3f

          void glProgramUniform3f(int program,
                                int location,
                                float v0,
                                float v1,
                                float v2)

      Entry point to C language function: `void glProgramUniform3f(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform3fv

          void glProgramUniform3fv(int program,
                                 int location,
                                 int count,
                                 FloatBuffer value)

      Entry point to C language function: `void glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniform3fv

          void glProgramUniform3fv(int program,
                                 int location,
                                 int count,
                                 float[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform3i

          void glProgramUniform3i(int program,
                                int location,
                                int v0,
                                int v1,
                                int v2)

      Entry point to C language function: `void glProgramUniform3i(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform3iv

          void glProgramUniform3iv(int program,
                                 int location,
                                 int count,
                                 IntBuffer value)

      Entry point to C language function: `void glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform3iv

          void glProgramUniform3iv(int program,
                                 int location,
                                 int count,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform3ui

          void glProgramUniform3ui(int program,
                                 int location,
                                 int v0,
                                 int v1,
                                 int v2)

      Entry point to C language function: `void glProgramUniform3ui(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform3uiv

          void glProgramUniform3uiv(int program,
                                  int location,
                                  int count,
                                  IntBuffer value)

      Entry point to C language function: `void glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform3uiv

          void glProgramUniform3uiv(int program,
                                  int location,
                                  int count,
                                  int[] value,
                                  int value_offset)

      Entry point to C language function: `void glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform4d

          void glProgramUniform4d(int program,
                                int location,
                                double v0,
                                double v1,
                                double v2,
                                double v3)

      Entry point to C language function: `void glProgramUniform4d(GLuint program, GLint location, GLdouble v0, GLdouble v1, GLdouble v2, GLdouble v3)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform4dv

          void glProgramUniform4dv(int program,
                                 int location,
                                 int count,
                                 DoubleBuffer value)

      Entry point to C language function: `void glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniform4dv

          void glProgramUniform4dv(int program,
                                 int location,
                                 int count,
                                 double[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniform4f

          void glProgramUniform4f(int program,
                                int location,
                                float v0,
                                float v1,
                                float v2,
                                float v3)

      Entry point to C language function: `void glProgramUniform4f(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform4fv

          void glProgramUniform4fv(int program,
                                 int location,
                                 int count,
                                 FloatBuffer value)

      Entry point to C language function: `void glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniform4fv

          void glProgramUniform4fv(int program,
                                 int location,
                                 int count,
                                 float[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform4i

          void glProgramUniform4i(int program,
                                int location,
                                int v0,
                                int v1,
                                int v2,
                                int v3)

      Entry point to C language function: `void glProgramUniform4i(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform4iv

          void glProgramUniform4iv(int program,
                                 int location,
                                 int count,
                                 IntBuffer value)

      Entry point to C language function: `void glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform4iv

          void glProgramUniform4iv(int program,
                                 int location,
                                 int count,
                                 int[] value,
                                 int value_offset)

      Entry point to C language function: `void glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniform4ui

          void glProgramUniform4ui(int program,
                                 int location,
                                 int v0,
                                 int v1,
                                 int v2,
                                 int v3)

      Entry point to C language function: `void glProgramUniform4ui(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniform4uiv

          void glProgramUniform4uiv(int program,
                                  int location,
                                  int count,
                                  IntBuffer value)

      Entry point to C language function: `void glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `IntBuffer`

    - #### glProgramUniform4uiv

          void glProgramUniform4uiv(int program,
                                  int location,
                                  int count,
                                  int[] value,
                                  int value_offset)

      Entry point to C language function: `void glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix2dv

          void glProgramUniformMatrix2dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix2dv

          void glProgramUniformMatrix2dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       double[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix2fv

          void glProgramUniformMatrix2fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix2fv

          void glProgramUniformMatrix2fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       float[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniformMatrix2x3dv

          void glProgramUniformMatrix2x3dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix2x3dv

          void glProgramUniformMatrix2x3dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix2x3fv

          void glProgramUniformMatrix2x3fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix2x3fv

          void glProgramUniformMatrix2x3fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix2x4dv

          void glProgramUniformMatrix2x4dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix2x4dv

          void glProgramUniformMatrix2x4dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix2x4fv

          void glProgramUniformMatrix2x4fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix2x4fv

          void glProgramUniformMatrix2x4fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix3dv

          void glProgramUniformMatrix3dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix3dv

          void glProgramUniformMatrix3dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       double[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix3fv

          void glProgramUniformMatrix3fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix3fv

          void glProgramUniformMatrix3fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       float[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniformMatrix3x2dv

          void glProgramUniformMatrix3x2dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix3x2dv

          void glProgramUniformMatrix3x2dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix3x2fv

          void glProgramUniformMatrix3x2fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix3x2fv

          void glProgramUniformMatrix3x2fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix3x4dv

          void glProgramUniformMatrix3x4dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix3x4dv

          void glProgramUniformMatrix3x4dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix3x4fv

          void glProgramUniformMatrix3x4fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix3x4fv

          void glProgramUniformMatrix3x4fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix4dv

          void glProgramUniformMatrix4dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix4dv

          void glProgramUniformMatrix4dv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       double[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix4fv

          void glProgramUniformMatrix4fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix4fv

          void glProgramUniformMatrix4fv(int program,
                                       int location,
                                       int count,
                                       boolean transpose,
                                       float[] value,
                                       int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_EXT_separate_shader_objects`

    - #### glProgramUniformMatrix4x2dv

          void glProgramUniformMatrix4x2dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix4x2dv

          void glProgramUniformMatrix4x2dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix4x2fv

          void glProgramUniformMatrix4x2fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix4x2fv

          void glProgramUniformMatrix4x2fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glProgramUniformMatrix4x3dv

          void glProgramUniformMatrix4x3dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         DoubleBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glProgramUniformMatrix4x3dv

          void glProgramUniformMatrix4x3dv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         double[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_direct_state_access`, `GL_ARB_gpu_shader_fp64`

    - #### glProgramUniformMatrix4x3fv

          void glProgramUniformMatrix4x3fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         FloatBuffer value)

      Entry point to C language function: `void glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glProgramUniformMatrix4x3fv

          void glProgramUniformMatrix4x3fv(int program,
                                         int location,
                                         int count,
                                         boolean transpose,
                                         float[] value,
                                         int value_offset)

      Entry point to C language function: `void glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`

    - #### glScissorArrayv

          void glScissorArrayv(int first,
                             int count,
                             IntBuffer v)

      Entry point to C language function: `void glScissorArrayv(GLuint first, GLsizei count, const GLint * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glScissorArrayv

          void glScissorArrayv(int first,
                             int count,
                             int[] v,
                             int v_offset)

      Entry point to C language function: `void glScissorArrayv(GLuint first, GLsizei count, const GLint * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glScissorIndexed

          void glScissorIndexed(int index,
                              int left,
                              int bottom,
                              int width,
                              int height)

      Entry point to C language function: `void glScissorIndexed(GLuint index, GLint left, GLint bottom, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glScissorIndexedv

          void glScissorIndexedv(int index,
                               IntBuffer v)

      Entry point to C language function: `void glScissorIndexedv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glScissorIndexedv

          void glScissorIndexedv(int index,
                               int[] v,
                               int v_offset)

      Entry point to C language function: `void glScissorIndexedv(GLuint index, const GLint * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glShaderStorageBlockBinding

          void glShaderStorageBlockBinding(int program,
                                         int storageBlockIndex,
                                         int storageBlockBinding)

      Entry point to C language function: `void glShaderStorageBlockBinding(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)`
      Part of `GL_VERSION_4_3`, `GL_ARB_shader_storage_buffer_object`

    - #### glTexBufferRange

          void glTexBufferRange(int target,
                              int internalformat,
                              int buffer,
                              long offset,
                              long size)

      Entry point to C language function: `void glTexBufferRange(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)`
      Part of `GL_ARB_texture_buffer_range`, `GL_VERSION_4_3`

    - #### glTexStorage2DMultisample

          void glTexStorage2DMultisample(int target,
                                       int samples,
                                       int internalformat,
                                       int width,
                                       int height,
                                       boolean fixedsamplelocations)

      Entry point to C language function: `void glTexStorage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)`
      Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`

    - #### glTexStorage3DMultisample

          void glTexStorage3DMultisample(int target,
                                       int samples,
                                       int internalformat,
                                       int width,
                                       int height,
                                       int depth,
                                       boolean fixedsamplelocations)

      Entry point to C language function: `void glTexStorage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)`
      Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`

    - #### glTextureStorage2DMultisampleEXT

          void glTextureStorage2DMultisampleEXT(int texture,
                                              int target,
                                              int samples,
                                              int internalformat,
                                              int width,
                                              int height,
                                              boolean fixedsamplelocations)

      Entry point to C language function: `void glTextureStorage2DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)`
      Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`

    - #### glTextureStorage3DMultisampleEXT

          void glTextureStorage3DMultisampleEXT(int texture,
                                              int target,
                                              int samples,
                                              int internalformat,
                                              int width,
                                              int height,
                                              int depth,
                                              boolean fixedsamplelocations)

      Entry point to C language function: `void glTextureStorage3DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)`
      Part of `GL_VERSION_4_3`, `GL_ARB_texture_storage_multisample`

    - #### glTextureView

          void glTextureView(int texture,
                           int target,
                           int origtexture,
                           int internalformat,
                           int minlevel,
                           int numlevels,
                           int minlayer,
                           int numlayers)

      Entry point to C language function: `void glTextureView(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)`
      Part of `GL_VERSION_4_3`, `GL_ARB_texture_view`

    - #### glUniform1d

          void glUniform1d(int location,
                         double x)

      Entry point to C language function: `void glUniform1d(GLint location, GLdouble x)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform1dv

          void glUniform1dv(int location,
                          int count,
                          DoubleBuffer value)

      Entry point to C language function: `void glUniform1dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniform1dv

          void glUniform1dv(int location,
                          int count,
                          double[] value,
                          int value_offset)

      Entry point to C language function: `void glUniform1dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform2d

          void glUniform2d(int location,
                         double x,
                         double y)

      Entry point to C language function: `void glUniform2d(GLint location, GLdouble x, GLdouble y)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform2dv

          void glUniform2dv(int location,
                          int count,
                          DoubleBuffer value)

      Entry point to C language function: `void glUniform2dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniform2dv

          void glUniform2dv(int location,
                          int count,
                          double[] value,
                          int value_offset)

      Entry point to C language function: `void glUniform2dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform3d

          void glUniform3d(int location,
                         double x,
                         double y,
                         double z)

      Entry point to C language function: `void glUniform3d(GLint location, GLdouble x, GLdouble y, GLdouble z)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform3dv

          void glUniform3dv(int location,
                          int count,
                          DoubleBuffer value)

      Entry point to C language function: `void glUniform3dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniform3dv

          void glUniform3dv(int location,
                          int count,
                          double[] value,
                          int value_offset)

      Entry point to C language function: `void glUniform3dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform4d

          void glUniform4d(int location,
                         double x,
                         double y,
                         double z,
                         double w)

      Entry point to C language function: `void glUniform4d(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniform4dv

          void glUniform4dv(int location,
                          int count,
                          DoubleBuffer value)

      Entry point to C language function: `void glUniform4dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniform4dv

          void glUniform4dv(int location,
                          int count,
                          double[] value,
                          int value_offset)

      Entry point to C language function: `void glUniform4dv(GLint location, GLsizei count, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix2dv

          void glUniformMatrix2dv(int location,
                                int count,
                                boolean transpose,
                                DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix2dv

          void glUniformMatrix2dv(int location,
                                int count,
                                boolean transpose,
                                double[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix2x3dv

          void glUniformMatrix2x3dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix2x3dv

          void glUniformMatrix2x3dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix2x4dv

          void glUniformMatrix2x4dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix2x4dv

          void glUniformMatrix2x4dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix3dv

          void glUniformMatrix3dv(int location,
                                int count,
                                boolean transpose,
                                DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix3dv

          void glUniformMatrix3dv(int location,
                                int count,
                                boolean transpose,
                                double[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix3x2dv

          void glUniformMatrix3x2dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix3x2dv

          void glUniformMatrix3x2dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix3x4dv

          void glUniformMatrix3x4dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix3x4dv

          void glUniformMatrix3x4dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix4dv

          void glUniformMatrix4dv(int location,
                                int count,
                                boolean transpose,
                                DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix4dv

          void glUniformMatrix4dv(int location,
                                int count,
                                boolean transpose,
                                double[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix4x2dv

          void glUniformMatrix4x2dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix4x2dv

          void glUniformMatrix4x2dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformMatrix4x3dv

          void glUniformMatrix4x3dv(int location,
                                  int count,
                                  boolean transpose,
                                  DoubleBuffer value)

      Entry point to C language function: `void glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`
      Parameters:
        `value` - a direct or array-backed `DoubleBuffer`

    - #### glUniformMatrix4x3dv

          void glUniformMatrix4x3dv(int location,
                                  int count,
                                  boolean transpose,
                                  double[] value,
                                  int value_offset)

      Entry point to C language function: `void glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble * value)`
      Part of `GL_VERSION_4_0`, `GL_ARB_gpu_shader_fp64`

    - #### glUniformSubroutinesuiv

          void glUniformSubroutinesuiv(int shadertype,
                                     int count,
                                     IntBuffer indices)

      Entry point to C language function: `void glUniformSubroutinesuiv(GLenum shadertype, GLsizei count, const GLuint * indices)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`
      Parameters:
        `indices` - a direct or array-backed `IntBuffer`

    - #### glUniformSubroutinesuiv

          void glUniformSubroutinesuiv(int shadertype,
                                     int count,
                                     int[] indices,
                                     int indices_offset)

      Entry point to C language function: `void glUniformSubroutinesuiv(GLenum shadertype, GLsizei count, const GLuint * indices)`
      Part of `GL_ARB_shader_subroutine`, `GL_VERSION_4_0`

    - #### glUseProgramStages

          void glUseProgramStages(int pipeline,
                                int stages,
                                int program)

      Entry point to C language function: `void glUseProgramStages(GLuint pipeline, GLbitfield stages, GLuint program)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glValidateProgramPipeline

          void glValidateProgramPipeline(int pipeline)

      Entry point to C language function: `void glValidateProgramPipeline(GLuint pipeline)`
      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - #### glVertexAttribBinding

          void glVertexAttribBinding(int attribindex,
                                   int bindingindex)

      Entry point to C language function: `void glVertexAttribBinding(GLuint attribindex, GLuint bindingindex)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glVertexAttribFormat

          void glVertexAttribFormat(int attribindex,
                                  int size,
                                  int type,
                                  boolean normalized,
                                  int relativeoffset)

      Entry point to C language function: `void glVertexAttribFormat(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glVertexAttribIFormat

          void glVertexAttribIFormat(int attribindex,
                                   int size,
                                   int type,
                                   int relativeoffset)

      Entry point to C language function: `void glVertexAttribIFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glVertexAttribL1d

          void glVertexAttribL1d(int index,
                               double x)

      Entry point to C language function: `void glVertexAttribL1d(GLuint index, GLdouble x)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL1dv

          void glVertexAttribL1dv(int index,
                                DoubleBuffer v)

      Entry point to C language function: `void glVertexAttribL1dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttribL1dv

          void glVertexAttribL1dv(int index,
                                double[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribL1dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL2d

          void glVertexAttribL2d(int index,
                               double x,
                               double y)

      Entry point to C language function: `void glVertexAttribL2d(GLuint index, GLdouble x, GLdouble y)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL2dv

          void glVertexAttribL2dv(int index,
                                DoubleBuffer v)

      Entry point to C language function: `void glVertexAttribL2dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttribL2dv

          void glVertexAttribL2dv(int index,
                                double[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribL2dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL3d

          void glVertexAttribL3d(int index,
                               double x,
                               double y,
                               double z)

      Entry point to C language function: `void glVertexAttribL3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL3dv

          void glVertexAttribL3dv(int index,
                                DoubleBuffer v)

      Entry point to C language function: `void glVertexAttribL3dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttribL3dv

          void glVertexAttribL3dv(int index,
                                double[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribL3dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL4d

          void glVertexAttribL4d(int index,
                               double x,
                               double y,
                               double z,
                               double w)

      Entry point to C language function: `void glVertexAttribL4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribL4dv

          void glVertexAttribL4dv(int index,
                                DoubleBuffer v)

      Entry point to C language function: `void glVertexAttribL4dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`
      Parameters:
        `v` - a direct or array-backed `DoubleBuffer`

    - #### glVertexAttribL4dv

          void glVertexAttribL4dv(int index,
                                double[] v,
                                int v_offset)

      Entry point to C language function: `void glVertexAttribL4dv(GLuint index, const GLdouble * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexAttribLFormat

          void glVertexAttribLFormat(int attribindex,
                                   int size,
                                   int type,
                                   int relativeoffset)

      Entry point to C language function: `void glVertexAttribLFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glVertexAttribLPointer

          void glVertexAttribLPointer(int index,
                                    int size,
                                    int type,
                                    int stride,
                                    long pointer_buffer_offset)

      Entry point to C language function: `void glVertexAttribLPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid * pointer)`
      Part of `GL_VERSION_4_1`, `GL_ARB_vertex_attrib_64bit`

    - #### glVertexBindingDivisor

          void glVertexBindingDivisor(int bindingindex,
                                    int divisor)

      Entry point to C language function: `void glVertexBindingDivisor(GLuint bindingindex, GLuint divisor)`
      Part of `GL_VERSION_4_3`, `GL_ARB_vertex_attrib_binding`

    - #### glViewportArrayv

          void glViewportArrayv(int first,
                              int count,
                              FloatBuffer v)

      Entry point to C language function: `void glViewportArrayv(GLuint first, GLsizei count, const GLfloat * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glViewportArrayv

          void glViewportArrayv(int first,
                              int count,
                              float[] v,
                              int v_offset)

      Entry point to C language function: `void glViewportArrayv(GLuint first, GLsizei count, const GLfloat * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glViewportIndexedf

          void glViewportIndexedf(int index,
                                float x,
                                float y,
                                float w,
                                float h)

      Entry point to C language function: `void glViewportIndexedf(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

    - #### glViewportIndexedfv

          void glViewportIndexedfv(int index,
                                 FloatBuffer v)

      Entry point to C language function: `void glViewportIndexedfv(GLuint index, const GLfloat * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glViewportIndexedfv

          void glViewportIndexedfv(int index,
                                 float[] v,
                                 int v_offset)

      Entry point to C language function: `void glViewportIndexedfv(GLuint index, const GLfloat * v)`
      Part of `GL_VERSION_4_1`, `GL_ARB_viewport_array`

Copyright 2010 JogAmp Community.